//-----------------------------------------------------------------------------
// Torque Game Engine 
// Copyright (C) GarageGames.com, Inc.
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
// Package overrides to initialize the mod.

package Admin {

function displayHelp() {
   Parent::displayHelp();
   error(
      "Admin Mod options:\n"
   );
}

function onStart()
{
   echo("\n--------- Initializing MOD: Admin ---------");

   // Load the scripts that start it all...
   exec("./client/init.cs");

   exec("./server/init.cs");

   // Call  parent game to start everything up.
   Parent::onStart();

   // Override a variable set by the "fps" code.
   //$Client::GameTypeQuery = "Admin";
}

}; // Client package
activatePackage(Admin);
