//======================================================================
//	GAG PLAYER ADMIN
//======================================================================
//
//	This plugin allows admins to "gag" players
//
//
//----------------------------------------------------------------------
//	Register plugin with admin system

AdminMenu.RegisterPlugin("MutePlayer_Admin");



//----------------------------------------------------------------------
//	Action Functions

function MutePlayer_Admin::MutePlayer(%this, %client, %target, %activate)
{
	if(%activate)
		messageClient(%client,'MsgPersonalMute','\c2You have gagged %1.',%target.name);
	else
		messageClient(%client,'MsgPersonalMute','\c2You have ungagged %1.',%target.name);
	%target.isGagged = %activate;
	ServerCmdAdminMenuRequest(%client);
}


package MutePlayer_Admin
{
function chatMessageClient( %client, %sender, %voiceTag, %voicePitch, %msgString, %a1, %a2, %a3, %a4, %a5, %a6, %a7, %a8, %a9, %a10 )
{
	if(%sender.isGagged)
		return;
	parent::chatMessageClient( %client, %sender, %voiceTag, %voicePitch, %msgString, %a1, %a2, %a3, %a4, %a5, %a6, %a7, %a8, %a9, %a10 );
}
};
activatepackage(MutePlayer_Admin);




//----------------------------------------------------------------------
//	Declare plugin menus and create plugin object

%admin = "AdminMenu";
%admin.addAdminMenuItem("PlayerSelected", 10, 2, "UnGag Player", "%client.menuTargetClient.isGagged && %client.testAdmin(GagPlayer) && !%client.menuTargetClient.testAdmin(Immunity)", "MutePlayer_Admin_Object.GagPlayer(%client, %client.menuTargetClient, 0);", "MutePlayer_Admin");
%admin.addAdminMenuItem("PlayerSelected", 10, 3, "Gag Player", "!%client.menuTargetClient.isGagged && %client.testAdmin(GagPlayer) && !%client.menuTargetClient.testAdmin(Immunity)", "MutePlayer_Admin_Object.GagPlayer(%client, %client.menuTargetClient, 1);", "MutePlayer_Admin");

%admin.addAdminMask(GagPlayer, 0); 	// The ability to gag other players


