//======================================================================
//	PERSONAL MUTE ADMIN
//======================================================================
//
//	This plugin adds players to mute other players so only they can not hear them
//
//
//
//----------------------------------------------------------------------
//	Register plugin with admin system

AdminMenu.RegisterPlugin("PersonalMute_Admin");



//----------------------------------------------------------------------
//	Action Functions

function PersonalMute_Admin::MutePlayer(%this, %client, %target, %activate)
{
	if(%activate)
		messageClient(%client,'MsgPersonalMute','\c2You have muted any messages from %1.',%target.name);
	else
		messageClient(%client,'MsgPersonalMute','\c2You have unmuted any messages from %1.',%target.name);
	%client.muted[%target] = %activate;
	ServerCmdAdminMenuRequest(%client);
}




//----------------------------------------------------------------------
//	Declare plugin menus and create plugin object

%admin = "AdminMenu";
%admin.addAdminMenuItem("PlayerSelected", 5, 2, "Personal Unmute Player", "%client.muted[%client.menuTargetClient]", "PersonalMute_Admin_Object.MutePlayer(%client, %client.menuTargetClient, 0);", "PersonalMute_Admin");
%admin.addAdminMenuItem("PlayerSelected", 5, 3, "Personal Mute Player", "!%client.muted[%client.menuTargetClient]", "PersonalMute_Admin_Object.MutePlayer(%client, %client.menuTargetClient, 1);", "PersonalMute_Admin");






