//======================================================================
//	PERSONAL MUTE ADMIN
//======================================================================
//
//	This plugin adds players to mute other players so only they can not hear them
//
//
//
//----------------------------------------------------------------------
//	Register plugin with admin system

AdminMenu.RegisterPlugin("Tournament_Admin");


//----------------------------------------------------------------------
//	Action Functions

function Tournament_Admin::ChangeGameMode(%this, %client, %mode)
{
	if($Server::Tournament && %mode $= "FFA")
	{
		$Server::Tournament = false;
	}
	else if(!$Server::Tournament && %mode $= "FFA")
	{
		$Server::Tournament = true;
	}



	//package this function in order to change game styles


}

function Tournament_Admin::StartMatch(%this, %client)
{
	//bla


}




//----------------------------------------------------------------------
//	Declare plugin menus and create plugin object


%admin = "AdminMenu";
%admin.addAdminMenuItem("Main", 15, 2, "Change to Tournament Mode", "!$Server::Tournament && %client.testAdmin(TournamentForce)", "Tournament_Admin_Object.ChangeGameMode(%client, Tournament);", "Tournament_Admin");
%admin.addAdminMenuItem("Main", 15, 3, "Change to FFA Mode", "$Server::Tournament && %client.testAdmin(FreeForAllForce)", "Tournament_Admin_Object.ChangeGameMode(%client, FFA);", "Tournament_Admin");
%admin.addAdminMenuItem("Main", 15, 4, "Vote for Tournament Mode", "!$Server::Tournament && %client.testAdmin(TournamentVote)", "AdminMenu.InitVote(%client, ChangeTournament);", "Tournament_Admin");
%admin.addAdminMenuItem("Main", 15, 5, "Vote for FFA Mode", "$Server::Tournament && %client.testAdmin(FreeForAllVote)", "AdminMenu.InitVote(%client, ChangeFFA);", "Tournament_Admin");
%admin.addAdminMenuItem("Main", 16, 2, "Start the Match", "$Server::Tournament && !$Server::MatchStarted && %client.testAdmin(StartMatchForce)", "Tournament_Admin_Object.StartMatch(%client);", "Tournament_Admin");
%admin.addAdminMenuItem("Main", 16, 3, "Vote to Start the Match", "$Server::Tournament && !$Server::MatchStarted && %client.testAdmin(StartMatchVote)", "AdminMenu.InitVote(%client, StartMatch);", "Tournament_Admin");

%admin.addAdminMask(TournamentForce, 0); 	// The ability to change to Tournament Mode
%admin.addAdminMask(FreeForAllForce, 0); 	// The ability to change to Free for All Mode
%admin.addAdminMask(TournamentVote, 1); 	// The ability to vote to change to Tournament Mode
%admin.addAdminMask(FreeForAllVote, 1); 	// The ability to vote to change to Free for All Mode
%admin.addAdminMask(StartMatchForce, 0); 	// The ability to start a tournament mode match
%admin.addAdminMask(StartMatchVote, 1); 	// The ability to vote to start a tournament mode match

%admin.addVoteType("StartMatch", "Start the Match", "Tournament_Admin_Object.StartMatch(%client);");
%admin.addVoteType("ChangeFFA", "Change to Free For All Mode", "Tournament_Admin_Object.ChangeGameMode(%client, FFA);");
%admin.addVoteType("ChangeTournament", "Change to Tournament Mode", "Tournament_Admin_Object.ChangeGameMode(%client, Tournament);");


