//------------------------------------------------------------------------------
// Game UI Support Functions
// - Created to cleanup all our files. Too many small scripts with 2 functions
//   was making it a pain for me to look around for stuff.
// - Ace


//-----------------------------------------------------------------------------
// Game End UI
//-----------------------------------------------------------------------------
function hideit()
{ gamePlayerListGui::hide(); }
function gameEndGame::onWake()
{
   Canvas.popDialog();
   gamePlayerListGui::hide();
   schedule(0,0,"hideit()");
   EndGameGuiList.clear();
   
   %FS = PL_FS_Team_List.getRowText(0);
   %EC = PL_EC_Team_List.getRowText(0);
   %FS_Score = getField(%FS, 5);
   %EC_Score = getField(%EC, 5);
   if (%FS_Score > %EC_Score){
      %first = "FS";
      %second = "EC";
      %third = "OB";
      EndGameGuiList.addRow(1, %FS);
      %second_text = %EC;
   } else {
      %first = "EC";
      %second = "FS";
      %third = "OB";
      EndGameGuiList.addRow(1, %EC);
      %second_text = %FS;
   }
   

   for (%i = 0; %i < ("PL_" @ %first @ "_List").rowCount(); %i++) {
     %text = ("PL_" @ %first @ "_List").getRowText(%i);
     %id = ("PL_" @ %first @ "_List").getRowId(%i);
     EndGameGuiList.addRow(%id,%text);
   }
   EndGameGuiList.addRow(2, %second_text);
   for (%i = 0; %i < ("PL_" @ %second @ "_List").rowCount(); %i++) {
     %text = ("PL_" @ %second @ "_List").getRowText(%i);
     %id = ("PL_" @ %second @ "_List").getRowId(%i);
     EndGameGuiList.addRow(%id,%text);
   }
   EndGameGuiList.addRow(3, "Observers");
   for (%i = 0; %i < ("PL_" @ %third @ "_List").rowCount(); %i++) {
     %text = ("PL_" @ %third @ "_List").getRowText(%i);
     %id = ("PL_" @ %third @ "_List").getRowId(%i);
     EndGameGuiList.addRow(%id,%text);
   }
}

//------------------------------------------------------------------------------
function gameLoadingGui::onAdd(%this)
{
   %this.qLineCount = 0;
}

//------------------------------------------------------------------------------
function gameLoadingGui::onWake(%this)
{
   // Play sound...
   %num = grabLoadStringNumber();
   gLG_LoadText.setText($GUI::LoadingText[%num]);
   CloseMessagePopup();
}

//------------------------------------------------------------------------------
function gameLoadingGui::onSleep(%this)
{
   // Clear the load info:
   if ( %this.qLineCount !$= "" )
   {
      for ( %line = 0; %line < %this.qLineCount; %line++ )
         %this.qLine[%line] = "";
   }
   %this.qLineCount = 0;

   LOAD_MapName.setText( "" );
   LOAD_MapDescription.setText( "" );
   LoadingProgress.setValue( 0 );
   LoadingProgressTxt.setValue( "WAITING FOR SERVER" );

   // Stop sound...
}
