//Comcent Scripts

function ComcentClientSetup()
{
  $IRCClient::AuthServer = "mgo.maxgaming.net:80";
  $IRCClient::AuthServerPath = "/game/";
  $Comcent::server       = $IRCClient::AuthServer;      // Same server so its safe to use this
  $Comcent::path         = $IRCClient::AuthServerPath;  // Same server so its safe to use this
  new HTTPObject(ComcentObj);
  new SimGroup(ComcentObjectives);
  exec("./menuMap.cs");
  new SimObject(Sectors);
  Sectors.sector1 = "eastCoast";
  Sectors.sector2 = "noMans";
  Sectors.sector3 = "manitoba";
  Sectors.sector4 = "midWest";
  Sectors.sector5 = "alberta";
  Sectors.sector6 = "westCoast";
  Sectors.sector7 = "alaska";
  ComcentOverallStats();

}

//This is where we get the return message (to verify its sent)
function ComcentObj::onLine( %this, %line )
{
   %type = firstWord(%line);
   %info = getWords(%line,1,getWordCount(%line) - 1);
   switch$(%type)
   {
      case "[DIALOG]":
         %name = firstWord(%info);
         %value = getWords(%info,1,getWordCount(%info) - 1);
         switch$(%name)
         {
            case "HEADER":
               ComcentObj.header = %value;
            case "END":
               MessageBoxOk(ComcentObj.header,ComcentObj.msg,"");
               ComcentObj.msg = "";
               ComcentObj.recieving = false;
               if (ComcentObj.next !$= "")
                  eval(ComcentObj.next);
            case "MSG":
               ComcentObj.msg =  ComcentObj.msg @ %value @ "\n";
            default:
               ComcentObj.msg =  ComcentObj.msg @ %info @ "\n";
         }
      case "[STATS]":
         switch$(%info)
         {
            case "START":
               ComcentObj.reciever.setText("");
            case "END":
               ComcentObj.reciever.addText("\n",true);
               ComcentObj.recieving = false;
               if (ComcentObj.next !$= "")
               {
                  echo("Testing");
                  eval(ComcentObj.next);
               }
            case "SPACER":
               ComcentObj.reciever.addText("\n",false);
            default:
               ComcentObj.reciever.addText(%info @ "\n",false);
         }
      case "[STAT_DATA]":
         %name = firstWord(%info);
         %value = getWords(%info,1,getWordCount(%info) - 1);
         switch$(%name)
         {
            case "Faction":
               mC_PB_JoinEC.setVisible(%value);
               mC_PB_JoinFS.setVisible(%value);
               mC_PB_FactionLabel.setVisible(%value);
            case "Squad":
               mC_PB_SquadJoin.setVisible(%value);
               mC_PB_SquadText.setVisible(%value);
               mC_PB_JoinLabel.setVisible(%value);
         }
      case "[DATA]":
         %id = firstWord(%info);
         %value = getWords(%info,1,getWordCount(%info) - 1);
         if (%id $= "END" && ComcentObj.next !$= "")
         {
            ComcentObj.recieving = false;
            eval(ComcentObj.next);
            return;
         }
         if (ComcentObj.data == 1)
         {
            Sectors.sectornum[%id] = %value;
         }
         if (ComcentObj.data == 2)
         {
            %value1 = firstWord(%value);
            %value2 = getWords(%value,1,getWordCount(%value) - 1);
            ("ComObj-" @ %id).display = %value1;
            ("ComObj-" @ %id).owner = %value2;

         }
      default:
         echo(%line);
   }
}

function ComcentPlayerStats(%value)
{
  if (ComcentObj.recieving)
     return;
     
  if (%value)
  {
     %query = "pilot_name=" @ $IRCClient::nick;
     mC_Stats_PersonalBox.setVisible(true);
  }
  else
  {
     if (strLen(mB_S_PlayerText.getValue()) == 0)
        return;
     %query = "pilot_name=" @ mB_S_PlayerText.getValue();
     mB_S_PlayerText.setValue("");
     mC_Stats_PersonalBox.setVisible(false);
  }
  %script = $Comcent::path @ "pilotstats.php";
  ComcentObj.get($Comcent::server, %script, %query);
  ComcentObj.recieving = true;
  ComcentObj.reciever = mC_StaticData;
}

function ComcentFactionStats(%value)
{
  if (ComcentObj.recieving)
     return;
  mC_Stats_PersonalBox.setVisible(false);

  %query = "factionid=" @ %value;
  %script = $Comcent::path @ "factionstats.php";
  ComcentObj.get($Comcent::server, %script, %query);
  ComcentObj.recieving = true;
  ComcentObj.reciever = mC_StaticData;
}

function ComcentListSquads()
{
  if (ComcentObj.recieving)
     return;
  mC_Stats_PersonalBox.setVisible(true);
  mC_PB_SquadJoin.setVisible(true);
  mC_PB_SquadText.setVisible(true);
  mC_PB_JoinLabel.setVisible(true);
  mC_PB_JoinEC.setVisible(false);
  mC_PB_JoinFS.setVisible(false);
  mC_PB_FactionLabel.setVisible(false);
  %query = "pilot=" @ $IRCClient::nick;
  %script = $Comcent::path @ "listsquads.php";
  ComcentObj.get($Comcent::server, %script, %query);
  ComcentObj.recieving = true;
  ComcentObj.reciever = mC_StaticData;
}

function ComcentOverallStats()
{
  if (ComcentObj.recieving)
     return;
  mC_Stats_PersonalBox.setVisible(false);

  %script = $Comcent::path @ "overallstats.php";
  ComcentObj.get($Comcent::server, %script, %query);
  ComcentObj.recieving = true;
  ComcentObj.reciever = mC_Map_Overall;
  ComcentObj.next = "ComcentLoadMap();";
}

function ComcentLoadMap()
{
  %script = $Comcent::path @ "mapstatus.php";
  ComcentObj.get($Comcent::server, %script, %query);
  ComcentObj.data = 1;
  ComcentObj.next = "ComcentLoadObj();";
}
function ComcentLoadObj()
{
  %script = $Comcent::path @ "objstatus.php";
  ComcentObj.get($Comcent::server, %script, %query);
  ComcentObj.data = 2;
  ComcentObj.next = "ComcentLoadObjects();";
}
function ComcentChangeEmail()
{
  if (strLen(mB_S_EmailText.getValue()) <= 5)
     return;
  if (ComcentObj.recieving)
     return;
  %value2 = $IRCClient::nick;
  %value =  mB_S_EmailText.getValue();
            mB_S_EmailText.setValue("");
  %query = "newemail=" @ %value @"\tpilot=" @ %value2;
  %script = $Comcent::path @ "changeemail.php";
  ComcentObj.get($Comcent::server, %script, %query);
    ComcentObj.recieving = true;
}
function ComcentJoinFaction(%value)
{
  if (ComcentObj.recieving)
     return;
  %value2 = $IRCClient::nick;
  %query = "faction_id=" @ %value @"\tpilot=" @ %value2;
  %script = $Comcent::path @ "joinfaction.php";
  ComcentObj.get($Comcent::server, %script, %query);
    ComcentObj.recieving = true;
}
function ComcentJoinSquad()
{
  if (strLen(mC_PB_SquadText.getValue()) == 0)
     return;
  if (ComcentObj.recieving)
     return;
  %value2 = $IRCClient::nick;
  %value =  mC_PB_SquadText.getValue();
            mC_PB_SquadText.setValue("");
  %query = "squad=" @ %value @"\tpilot=" @ %value2;
  %script = $Comcent::path @ "joinsquad.php";
  ComcentObj.get($Comcent::server, %script, %query);
    ComcentObj.recieving = true;
}
function ComcentDisplayObj(%obj)
{
   mC_Map_ObjData.setText("");
   mC_Map_ObjData.addText("Name:" SPC %obj.name @ "\n",false);
   mC_Map_ObjData.addText("Owner:" SPC $GUI::Team[%obj.owner] @ "\n",false);
   mC_Map_ObjData.addText("Desc:" SPC %obj.desc @ "\n",false);

}

function ComcentChangePass()
{
  if (ComcentObj.recieving)
     return;
  if (strLen(mB_S_PasswordText.getValue()) <= 5)
     return;
  %value =  mB_S_PasswordText.getValue();
            mB_S_PasswordText.setValue("");
  IRCClient::send("NICKSERV SET PASSWORD " @ %value);
}

function ComcentJoinSquad()
{
  if (strLen(mC_PB_SquadText.getValue()) <= 5)
     return;
  if (ComcentObj.recieving)
     return;
  %value2 = $IRCClient::nick;
  %value =  mC_PB_SquadText.getValue();
            mC_PB_SquadText.setValue("");
  %query = "squad=" @ %value @"\tpilot=" @ %value2;
  %script = $Comcent::path @ "joinsquad.php";
  ComcentObj.get($Comcent::server, %script, %query);
  ComcentObj.recieving = true;
}

function ComcentLoadObjects()
{
  ComcentObj.next = "";
  for (%i = 1; %i < 8; %i++)
  {
     %bitmap = "fps/client/ui/comcent/" @ Sectors.sector[%i] @ Sectors.sectornum[%i];
     ("mC_ComSector" @ %i).setBitmap(%bitmap);
  }
  for (%i = 0; %i < ComcentObjectives.getCount(); %i++)
  {
     %obj = ComcentObjectives.getObject(%i);
     %side = (%obj.owner == 1) ? %side = "fs" : %side = "ec";
     %bitmap = "fps/client/ui/comcent/" @ %side @ "logo";
     %objbutton = new GuiBitmapButtonCtrl("ComObjButton" @ %obj.id)
     {
        profile = "GuiShellButtonProfile";
        tooltipprofile = "GuiShellButtonProfile";
        horizSizing = "right";
        vertSizing = "bottom";
        position = %obj.positionx+35 SPC %obj.positiony+15;
        extent = "20 20";
        minExtent = "8 8";
        visible = %obj.display;
        tooltip = %obj.name;
        objectid = %obj;
        command = "ComcentDisplayObj(" @ %obj @ ");";
        helpTag = "0";
        bitmap = %bitmap;
      };
      mC_Map_Holder.add(%objbutton);
  }
}

