datablock ParticleData(TeleportPositionParticle)
{
    dragCoefficient = 0.371457;
    gravityCoefficient = -1.01832;
    windCoefficient = 1;
    inheritedVelFactor = 0;
    constantAcceleration = 0;
    lifetimeMS = 800;
    lifetimeVarianceMS = 640;
    useInvAlpha = 0;
    spinRandomMin = -158;
    spinRandomMax = 476;
    textureName = "rw/data/shapes/particles/spark";
    times[0] = 0;
    times[1] = 0.494118;
    times[2] = 1;
    colors[0] = "0.496063 0.748031 0.748031 1.000000";
    colors[1] = "0.590551 0.370079 0.299213 1.000000";
    colors[2] = "1.000000 0.370079 0.299213 0.000000";
    sizes[0] = 2.13636;
    sizes[1] = 0.192272;
    sizes[2] = 0.192272;
};

datablock ParticleEmitterData(TeleportPositionEmitter)
{
    ejectionPeriodMS = 6;
    periodVarianceMS = 6;
    ejectionVelocity = 2;
    velocityVariance = 8.97;
    ejectionOffset = 0;
    thetaMin = 21;
    thetaMax = 26;
    phiReferenceVel = 122;
    phiVariance = 160;
    overrideAdvances = 0;
	   lifeTimeMS = 120;
    orientParticles= 1;
    orientOnVelocity = 1;
    particles = "TeleportPositionParticle";
};
