datablock ParticleData(DefaultParticle)
{
   textureName          = "./particletest";
   dragCoeffiecient     = 0.0;
   gravityCoefficient   = -0.3;   // rises slowly
   inheritedVelFactor   = 0.00;
   lifetimeMS           = 500;
   lifetimeVarianceMS   = 250;
   useInvAlpha = false;
   spinRandomMin = -30.0;
   spinRandomMax = 30.0;

   colors[0]     = "0.8 0.6 0.0 0.1";
   colors[1]     = "0.8 0.6 0.0 0.1";
   colors[2]     = "0.0 0.0 0.0 0.0";

   sizes[0]      = 1.0;
   sizes[1]      = 1.0;
   sizes[2]      = 5.0;

   times[0]      = 0.0;
   times[1]      = 0.5;
   times[2]      = 1.0;
};
datablock ParticleEmitterData(DefaultEmitter)
{
   ejectionPeriodMS = 15;
   periodVarianceMS = 5;

   ejectionVelocity = 0.25;
   velocityVariance = 0.10;

   thetaMin         = 0.0;
   thetaMax         = 90.0;  

   particles = "DefaultParticle";
};


datablock ParticleEmitterNodeData(DefaultEmitterNode)
{
   timeMultiple = 1;
};

datablock ParticleEmitterNodeData(DoubleTimeEmitterNode)
{
   timeMultiple = 2;
};

datablock ParticleEmitterNodeData(HalfTimeEmitterNode)
{
   timeMultiple = 0.5;
};
