function AIPlayer::startEscortWaypoints(%this, %wayPointArea)
{
   alxPlay("AudioBotSpeachSP4_2");
   messageAll( 'MsgGame', '\c2Good to see you Lieutenant. My engine damage is preventing me from moving at full speed and firing my weapons.' );
   messageAll( 'MsgGame', '\c2You need to cover me while I limp back to base.' );

   %this.setMoveSpeed(0.25);
   %botArea = "BotTrainerMarkers" @ %wayPointArea;

   if(isObject(%botArea)) {
      if(%this.countMyMoves < %botArea.getCount()) {
         %dest = %botArea.getObject(%this.countMyMoves).position;
         %this.setAimLocation(%dest);
         %this.setMoveDestination(%dest);
         %this.countMyMoves++;
      }
   }
   $SP::phaseOneDone = true;
   checkBotProgress(%this);

}

function AIPlayer::followEscortWaypoints(%this, %wayPointArea)
{
   %botArea = "BotTrainerMarkers" @ %wayPointArea;
   if(isObject(%botArea))
   {
   if(%this.countMyMoves < %botArea.getCount())      {
       %dest = %botArea.getObject(%this.countMyMoves).position;
       %this.setAimLocation(%dest);
       %this.setMoveDestination(%dest);
       %this.countMyMoves++;
       }
   }

}
//---------------------------------------------------------------------------
//MISC
//--------------------------------------------------------------------
function checkBotProgress(%bot)
{
   //checking bot progress
   if( %bot.countMyMoves == 20)
      $SP::AIDone = true;
      echo("DmgState:" @ %bot.getDamageState());
   if(%bot.countMyMoves < 20 && %bot.getDamageState() == 0)
      $SP::CheckTraining = schedule(111, 0, "checkBotProgress", %bot );
}

function checkObjectivesTaken(){
   // echo("checking");
   if($Team[1].objectives < 4)
      $SP::CheckTraining = schedule( 111, 0, "checkObjectivesTaken" );
   else
      $SP::phaseOneDone = true;
}
function checkFlagCaps(){
   // echo("checking");
   if($Game::TeamFlagCaptures[1] < 1)
      $SP::CheckTraining = schedule( 111, 0, "checkFlagCaps" );
   else
      $SP::phaseOneDone = true;
}
//-----------------------------------------------------------------------
// ENDINGS
//---------------------------------------------------------
function youLose()
{
   //$Game::CycleMaps = false;
   $SP::AIDone = false;
   $SP::phaseOneDone = false;
   $SP::phase1 = false;
   cancel($SP::AISpeak);
   //$stopTalking = true;
   //cycleGame();
   messageAll( 'MsgGame', '\c2YOU LOSE.' );
   MessageBoxYesNo( "GAME OVER", "Restart Mission?", "cycleGame();commandToServer('ReplayGame');", "disconnect();");
}

function youWin()
{
   messageAll( 'MsgGame', '\c2YOU WIN.' );
}

