function clientCmdPlayAudio(%handle)
{
   alxPlay(%handle);
}
function GameConnection::startTraining1(%this)
{

   //background AI
   //create  mecha for player
   Addbluescout(%this);
   %this.player.setTeam(1);
   new ActionMap(EscapeMap);
   EscapeMap.bindCmd(keyboard, "escape", "", "escapeFromGame();");
   EscapeMap.push();

   $SP::Level1 = true;
   //spawn trainer bot
   generateTrainerBot();
   //alxPlay("AudioBotSpeachSP1_1");
   commandToClient(%this, 'PlayAudio',"AudioBotSpeachSP1_1");
   $SP::AISpeak  = schedule(17000,alxStop,"AudioBotSpeachSP1_1");
    

   messageAll( 'MsgGame', "\c2Welcome recruit, look we are locked in battle with the enemy and don't have a lot of time, so learn quick." );
   messageAll( 'MsgGame', '\c2 I am locking your MAV so just sit there and listen.' );
   messageAll( 'MsgGame', '\c2I have \c5locked \c2 Your default controls are "W", "S", "A" and "D", "W" will move you forward while "S" will move you in reverse. ' );

   checkTraining();
}


function GameConnection::startTraining2(%this)
{
   Addbluescout(%this);
   %this.player.setTeam(1);
   generateTrainerBot();
}

function GameConnection::startTraining3(%this)
{
   Addbluescout(%this);
   %this.player.setTeam(1);
   generateTrainerBot();
   //$SP::ActionSchdule = schedule(8709, 0, "play_sp3_1");
   commandToClient(%this, 'PlayAudio',"AudioBotSpeachSP3_1");
   $SP::AISpeak  = schedule(17000,alxStop,"AudioBotSpeachSP3_1");
   messageAll( 'MsgGame', "\c2Alright, let's get going, we have a war going on and no time to play around. Meet me at the blue waypoint over here. Hopefully you remember how to use your radar." );

}

function GameConnection::startTraining4(%this)
{
   generateTrainerBot("Garvin");
  commandToClient(%this, 'PlayAudio',"AudioBotSpeachSP4_1");
   $SP::AISpeak  = schedule(42911,alxStop,"AudioBotSpeachSP4_1");
   messageAll( 'MsgGame', "\c2Alright Lieutenant, sorry to cut your training short but we have a situation. Captain Garvin, your trainer, was out on patrol when he discovered an enemy landing site." );
   messageAll( 'MsgGame', "\c2 He took heavy damage from some deployable turrets on the road and is unable to return to the base. His comms are down so he won't be able to communicate with you." );
   messageAll( 'MsgGame', "\c2 All other pilots are in battle with enemies in other locations. You are it Lieutenant. Your going to have to go find him and escort him safely back to base." );
   messageAll( 'MsgGame', "\c2 Take the road to the southwest; it will lead you to within radar range of the Captain. The only intel we could get from the Captain was that he was near an enemy drop-ship and a collapsed bridge." );
   messageAll( 'MsgGame', "\c2Watch out for active turrets, they are scattered all across the landing zone. We will see you when you get back." );
   $SP::TestOnce = false;
}

function GameConnection::startTraining5(%this)
{
   generateAttackBots();
   messageAll( 'MsgGame', '\c2' );
    commandToClient(%this, 'PlayAudio',"AudioBotSpeachSP5_1");
   $SP::AISpeak  = schedule(47609,alxStop,"AudioBotSpeachSP5_1");
   messageAll( 'MsgGame', '\c2Welcome to Forward Echo Base Lieutenant. Looks like we will be using your skills quite a bit in the near future. Here is the situation; we have four mines in the area that we have lost to the enemy and we want them back.' );
   messageAll( 'MsgGame', "\c2Satellite scans show that in approximately ten minutes an entire company of enemy MAVs will be entering the valley to the west of us. We need you to slip in and retake those objectives before they get there." );
   messageAll( 'MsgGame', "\c2We will be sending Captain Thomas' company to meet up and engage the enemy MAVs near the mines. Do not be there when the battle begins. Get in there and take those objectives and get back to the base before they arrive." );
   messageAll( 'MsgGame', "\c2Scans show several enemy MAVs in the area. If you need to engage them, do so, but don't take too long. Now head out and we will see you back here in ten, good luck." );
   $SP::AIDone = true;
   checkObjectivesTaken();
}

function GameConnection::startTraining6(%this)
{
   generateAttackBots();
  commandToClient(%this, 'PlayAudio',"AudioBotSpeachSP6_1");
   $SP::AISpeak  = schedule(41540,alxStop,"AudioBotSpeachSP6_1");
   messageAll( 'MsgGame', "\c2Lieutenant, we have a real problem. As you know, the southwest generator has been down for some time - limiting us on how much we can do from here." );
   messageAll( 'MsgGame', "\c2A replacement Core was being shipped in, but encountered a strong resistance and was captured by the Confederation." );
   messageAll( 'MsgGame', "\c2Satellite scans have detected a radiation source that we believe is the Core." );
   messageAll( 'MsgGame', "\c2We believe it is about to be loaded onto an enemy drop-ship. We can not allow that core to leave the area. Due to the Confederation's jamming equipment, we can not accurately tell what we are up against." );
   messageAll( 'MsgGame', "\c2However we must make every attempt to recover that core. Head out and recover the core and return it to the white light in the center of the base at any cost." );
   $SP::AIDone = true;
   checkFlagCaps();
}

//--------------------------------------------------------
//MISC
//---------------------------------------------------

function SP_MoveMap(%this)
{
   moveMap.pop();
}

function checkTraining(%this)
{
   if(!$SP::phase1) {
      $SP::CheckTraining = schedule( 111, 0, "checkTraining" );
   } else {
      startHudTraining();
   }
}

function endTraining(%this)
{
       alxPlay("AudioBotSpeachSP1_4");
       $SP::AISpeak  = schedule(33213,alxStop,"AudioBotSpeachSP1_4");
   messageAll( 'MsgGame', "\c2Additionally your targeting computer will display various targets on your HUD as overlaid icons." );
   messageAll( 'MsgGame', "\c2Similar to the map, friendlies are indicated by a green box while any enemies are in red." );
   messageAll( 'MsgGame', "\c2Non-captured objectives are shown as a yellow box, however its color will change depending on whether a friend or a foe captures it. " );
   messageAll( 'MsgGame', "\c2If there are any Cores in the area they will be indicated by its team logo as in the overlay." );
   messageAll( 'MsgGame', "\c2  Now let me see you walk forward, backwards, strafe to the left and right, then jump and use your jets. Once you have completed that you are done here." );
   //messageAll( 'MsgGame', '\c2Perform each manuever to complete your first training session and continue.' );
   moveMap.push();
   $SP::Level1 = false;
}

//------------------------------------------------------------------
//AI
//------------------------------------------------------------
function generateTrainerBot(%name)
{
   if(isObject(BotTrainerMarkers0))
      addTrainerBot(%name);
   else
      echo("No BOTS CAN BE HERE");
}

function generateAttackBots()
{
   if(isObject(BotTrainerMarkers0)) {
      %i = 0;
      while(%i < 5)
      {
         addAttackBot();
         %i++;
      }
    }
   else
      echo("No BOTS CAN BE HERE");
}


function AddTrainerBot(%name)
{
   MissionCleanup.add($bots);
   if (%name $= "")
   	%npcName = "Captain Garvin";
   else
      %npcName = %name;


   //NEW CODE
   //creat temp to hold bot to see if it exisits
   %newBot = AIPlayer::spawnTrainerMav(%npcName,%client);
   if(  %newBot !$= "noBOT" )
   { //it DOES add it to the ARRAY
      $bots[$botCounter] = %newBot ;
      MissionCleanup.add($bots[$botCounter]);
      //$bots[$botCounter].processPlayers();
      //PASS AREA TO LOOPING FUNCTION TO SET TO POSITION
      $bots[$botCounter].team = $team[1];
      $bots[$botCounter].startTraining($bots[$botCounter].wayPointArea, $singlePlayerLevel);
      $botCounter++;
   }
   else //NO BOT WAS MADE, IE NO AREA FOR THE BOT TO BE MADE
      error("no bot made") ;

}

function AddAttackBot(%client)
{
   MissionCleanup.add($bots);
   %npcName = "Enemy MAV " @ $botCounter;

   //NEW CODE
   //creat temp to hold bot to see if it exisits
   %newBot = AIPlayer::spawnAttackerMav(%npcName,%client);
   if(  %newBot !$= "noBOT" )
   { //it DOES add it to the ARRAY
      $bots[$botCounter] = %newBot ;
      MissionCleanup.add($bots[$botCounter]);
      //PASS AREA TO LOOPING FUNCTION TO SET TO POSITION
      $bots[$botCounter].team = $team[2];
      //fixed changed the constructor's 300 to 400, 100 is easy
      $bots[$botCounter].setScanningPlayersDistance(200.0);
      $bots[$botCounter].setScanningPlayers(true);
      $botCounter++;
   }
   else //NO BOT WAS MADE, IE NO AREA FOR THE BOT TO BE MADE
      error("no bot made") ;
}

function AIPlayer::spawnTrainerMav(%name,%client)
{
   //new object to hold info
   %spawnArea  = new ScriptObject(){ choice = "-1"; };

   //pass new object get postion and spawn area
   %spawnPoint = pickAITrainerSpawnPoint(%spawnArea);

   if(%spawnArea.choice != "-1")
   {  //position got set
      %player = new AIPlayer() {
         dataBlock = Shaddrack2;
         aiPlayer = true;
         fadeIn = 0;
         };
      MissionCleanup.add(%player);
      %player.setTeam(1);
      // Player setup
      %player.setMoveSpeed(1);
      //use postion of new object to set the postion for BOT
      %player.setTransform(%spawnPoint);
      %player.setEnergyLevel(60);
      %player.setShapeName(%name);
      //set area for the BOT to partoll or loop
      %player.wayPointArea = %spawnArea.choice;

      %player.setInventory(ac2,1);
      %player.setInventory(acAmmo2,500);
      %player.use(ac2);

      return %player;
   }
   else
      return "noBOT";
}

function AIPlayer::spawnAttackerMav(%name,%client)
{
   //new object to hold info
   %spawnArea  = new ScriptObject(){ choice = "-1"; };

   //pass new object get postion and spawn area
   %spawnPoint = pickAITrainerSpawnPoint(%spawnArea);

   if(%spawnArea.choice != "-1")
   {  //position got set
      %player = new AIPlayer() {
          dataBlock = Mantis4;
          aiPlayer = true;
          fadeIn = 0;
          };
      MissionCleanup.add(%player);
      %player.setTeam(2);
      // Player setup
      %player.setMoveSpeed(1);
      //use postion of new object to set the postion for BOT
      %player.setTransform(%spawnPoint);
      %player.setEnergyLevel(60);
      //echo("name is" @ %name);
      %player.setShapeName(%name);
      //set area for the BOT to partoll or loop
      %player.wayPointArea = %spawnArea.choice;

      %player.setInventory(MantisSecondary1,1);
      %player.setInventory(MantisSecondaryAmmo1,500);
      %player.use(MantisSecondary1);

      return %player;
   }
   else
      return "noBOT";
}


function pickAITrainerSpawnPoint(%spawnArea)
{

   %groupName = "MissionGroup/AITrainerPoint";
   %groupEnd = -1;
   %sphereCount = 0;

   while(nameToID(%groupName @ %sphereCount)!= -1)
   {
        %sphereCount++;
   }
   if (%sphereCount != 0)
   {
   %groupEnd = getRandom(%sphereCount - 1)  ;
   //set the random generated number to be passed later to player
   %spawnArea.choice =  %groupEnd;

   %randomGoupName =  %groupName @ %groupEnd;

   %group = nameToID(%randomGoupName);
   %spawnArea =  %groupEnd;
   if (%group != -1) {
      %count = %group.getCount();
      if (%count != 0) {
         %index = getRandom(%count-1);
         %spawn = %group.getObject(%index);
         //set postion to be use later with player
           return  getTerrainLevel(%spawn.position,%spawn.radius);

      }
      else
         error("No spawn points found in " @ %groupName);
   }
   else
      error("Missing spawn points group " @ %groupName);
   }
   return  false;
   // Could be no spawn points, in which case we'll stick the
   // player at the center of the world.
   //If no spawn point spawnArea.position will still == "" ie nothing our flag
}
//--------------------------------------------------------------------------
function AIPlayer::startTraining(%this, %wayPointArea, %trainingLevel)
{
   // checkBotProgress(%this);
   // but first look for some waypoints...
   // if there are some waypoints to follow
   %botArea = "BotTrainerMarkers" @ %wayPointArea;
   //name with local area
      %this.setMoveSpeed(0.75);
      
   if(isObject(%botArea))
   {
       if(%this.countMyMoves $= "")
         {  //echo number of waypoint once
             echo(%botArea.getCount() @ " BotMarkers found!");
         }
   %this.training = true;


   // as long as this bot hasn't completed the waypoint path:
   if(%this.countMyMoves < %botArea.getCount())      {
       %dest = %botArea.getObject(%this.countMyMoves).position;
       %this.setAimLocation(%dest);
       %this.setMoveDestination(%dest);
       echo("moving");
       %this.countMyMoves++;
       }
   }
}


function AIPlayer::determineNextMove(%this, %wayPointArea)
{
   if($singlePlayerLevel == 1 )
   {
      switch$(%this.countMyMoves)
      {
      case "1":
         %this.startMovementTraining(%this.wayPointArea);
      case "2":
         %this.forwardSequenceTraining(%this.wayPointArea);
      case "3":
         %this.backwardSequenceTraining(%this.wayPointArea);
      case "4":
         %this.rightSequenceTraining(%this.wayPointArea);
      case "5":
         %this.leftSequenceTraining(%this.wayPointArea);
      case "6":
         %this.leaveMovmentCross(%this.wayPointArea);
      case "7":
         %this.jumpingTraining(%this.wayPointArea);
      case "8":
         %this.jettingTraining(%this.wayPointArea);
      default :
         //$SP::AiDone = true;
      }
   }
   if($singlePlayerLevel == 2 )
   {
      switch$(%this.countMyMoves)
      {
      case "1":
         %this.startWeaponTraining(%this.wayPointArea);
      case "2":
         %this.weaponTraining3(%this.wayPointArea);
      default :
         $SP::AiDone = true;
      }
   }
   if($singlePlayerLevel == 3 )
   {
      switch$(%this.countMyMoves)
      {
      case "1":
         %this.startObjectiveTraining(%this.wayPointArea);
      case "2":
         %this.objectiveTraining2(%this.wayPointArea);
      case "3":
         %this.objectiveTraining4(%this.wayPointArea);
      default :
         $SP::AiDone = true;
      }
   }
   if($singlePlayerLevel == 4 )
   {
      switch$(%this.countMyMoves)
      {
      case "1":
               echo("waiting");
      case "20":
         $SP::AIDone = true;
      default :
          %this.followEscortWaypoints(%this.wayPointArea);
      }
   }
}


function clearSPL()
{
   cancel($SP::CheckTraining);
   cancel($SP::ActionSchdule);
   cancel($SP::Continue);
   cancel($SP::AISpeak);
   $singlePlayerLevel = false;
   $SP::AIDone = false;
   $SP::phaseOneDone = false;
   $SP::phase1 = false;
   $SP::Level1 = false;
   $leftMove    = false;
   $rightMove   = false;
   $forwardMove  = false;
   $backwardsMove  = false;
   $jumpMove   = false;
   $jetMove   = false;
  cancel($SP::AISpeak);
}

//----------------
function play_sp3_1()
{
   alxPlay("AudioBotSpeachSP3_1");
}

function play_sp4_1()
{
   alxPlay("AudioBotSpeachSP4_1");
}

function play_sp5_1()
{
   alxPlay("AudioBotSpeachSP5_1");
}

function play_sp6_1()
{
   alxPlay("AudioBotSpeachSP6_1");
}

