//-----------------------------------------------------------------------------
// Audio Descriptions
// ALL AUDIO DESCRIPTIONS!!!
//-----------------------------------------------------------------------------

// Channel assignments (channel 0 is unused in-game).
// 0 Default - Not used ingame
// 1 MUSIC
// 2 SOUND EFFECTS / ENGINE
// 3 WEAPONS FIRE
// 4 ENVIROMENTAL SOUNDS/AMBIENT NOISE
// 5 IF IT DONT FIT IN THE FIRST 4, USE 5!!




//------------------------------------------------------------------------------
// -- Channel 2 Sound Effect Descriptions --
//------------------------------------------------------------------------------

//------------------------------------------------------------------------------
// -- 3D --
//------------------------------------------------------------------------------
datablock AudioDescription(AudioDefaultSoundEffect)
{
   volume   = 1.0;
   isLooping= false;
   is3D     = true;
   type     = 2;
};
datablock AudioDescription(AudioBuildingExplosion)
{
   volume   = 1.5;
   isLooping= false;
   is3D     = true;
   type     = 2;
   ReferenceDistance= 30.0;
   MaxDistance= 300.0;
};

datablock AudioDescription(AudioPlaceableExplosion)
{
   volume   = 1;
   isLooping= false;
   is3D     = true;
   ReferenceDistance= 10.0;
   MaxDistance= 100.0;
   type     = 2;
};

datablock AudioDescription(AudioMAVExplosion)
{
   volume   = 1.0;
   isLooping= false;
   is3D     = true;
   ReferenceDistance= 30.0;
   MaxDistance= 300.0;
   type     = 2;
};

datablock AudioDescription(AudioTargetting)
{
   volume   = 1.0;
   isLooping= true;
   is3D     = false;
   type     = 2;
};

datablock AudioDescription(AudioCloseEffect)
{
   volume   = 0.9;
   isLooping= false;
   is3D     = true;
   ReferenceDistance= 10.0;
   MaxDistance= 60.0;
   type     = 2;
};

datablock AudioDescription(AudioClosestEffeect)
{
   volume   = 0.9;
   isLooping= false;
   is3D     = true;
   ReferenceDistance= 5.0;
   MaxDistance= 30.0;
   type     = 2;
};

//------------------------------------------------------------------------------
// -- 2D --
//------------------------------------------------------------------------------
new AudioDescription(AudioDefault)
{
   volume   = 1.0;
   isLooping= false;
   is3D     = false;
   type     = 2;
};

new AudioDescription(AudioMessage)
{
   volume   = 1.0;
   isLooping= false;
   is3D     = false;
   type     = 2;
};

new AudioDescription(AudioBotMessage)
{
   volume   = 1;
   isLooping= false;
   is3D     = false;
   type     = 2;
};

//------------------------------------------------------------------------------
// -- Channel 3 Weapon Sound Effects Descriptions --
//------------------------------------------------------------------------------

datablock AudioDescription(AudioDefault3d)
{
   volume   = 0.9;
   isLooping= false;
   is3D     = true;
   ReferenceDistance= 20.0;
   MaxDistance= 100.0;
   type     = 3;
};

datablock AudioDescription(AudioTurret2d)
{
   volume   = 0.9;
   isLooping= false;
   is3D     = false;
   ReferenceDistance= 5.0;
   MaxDistance= 100.0;
   type     = 3;
};

datablock AudioDescription(AudioClose3d)
{
   volume   = 0.9;
   isLooping= false;
   is3D     = true;
   ReferenceDistance= 10.0;
   MaxDistance= 60.0;
   type     = 3;
};

datablock AudioDescription(AudioClosest3d)
{
   volume   = 0.9;
   isLooping= false;
   is3D     = true;
   ReferenceDistance= 5.0;
   MaxDistance= 30.0;
   type     = 3;
};

//-----------------------------------------------------------------------------
// Looping sounds

datablock AudioDescription(AudioDefaultLooping3d)
{
   volume   = 1.0;
   isLooping= true;
   is3D     = true;
   ReferenceDistance= 20.0;
   MaxDistance= 100.0;
   type     = 3;
};

datablock AudioDescription(AudioCloseLooping3d)
{
   volume   = 1.0;
   isLooping= true;
   is3D     = true;
   ReferenceDistance= 10.0;
   MaxDistance= 50.0;
   type     = 3;
};

datablock AudioDescription(AudioClosestLooping3d)
{
   volume   = 1.0;
   isLooping= true;
   is3D     = true;
   ReferenceDistance= 5.0;
   MaxDistance= 30.0;
   type     = 3;
};

//------------------------------------------------------------------------------
// -- Channel 4 AMBIENT/ENVIROMENTAL Descriptions --
//------------------------------------------------------------------------------

datablock AudioDescription(AudioThunder3d)
{
   volume   = 1.0;
   isLooping= false;
   is3D     = true;
   referenceDistance = 10.0;
   MaxDistance= 250.0;
   type     = 4;
};

datablock AudioDescription(ObjectEmmiters)
{
   volume   = 1.0;
   isLooping= true;
   is3D     = true;
   referenceDistance = 10.0;
   MaxDistance= 250.0;
   type     = 4;
};

datablock AudioDescription(ShortObjectEmmiters)
{
   volume   = 0.75;
   isLooping= true;
   is3D     = true;
   referenceDistance = 10.0;
   MaxDistance= 50.0;
   type     = 4;
};



//------------------------------------------------------------------------------
// -- Channel 5 Misc Audio Descriptions --
//------------------------------------------------------------------------------

datablock AudioDescription(Audio2D)
{
   volume = 1.0;
   isLooping = false;
   is3D = false;
   type     = 5;
};

datablock AudioDescription(AudioLooping2D)
{
   volume = 1.0;
   isLooping = true;
   is3D = false;
   type     = 5;
};



