//BACKEND!!
// ARGH!!
//  GRUMBLE!!
//------------------------------------------------------------------------------
// ---------- LOGIN ------------------------------------------------------------
function ComcentConnectionStart()
{
  $Comcent::server       = $IRCClient::AuthServer;      // Same server so its safe to use this
  $Comcent::path         = $IRCClient::AuthServerPath;  // Same server so its safe to use this
  $Comcent = new HTTPObject(ComcentConnection);
  %query = "map_id="@$Server::missionID;
  %script = $Comcent::path @ "spawnpoint.php";
  $Comcent.get($Comcent::server, %script, %query);
}
//This is where we get the return message (to verify its sent)
function ComcentConnection::onLine( %this, %line )
{
   echo("Comcent Return Value: " @ %line);

   switch$(%line)
   {
      case "fs": // Waiting for GameID
         BaseTeam.teamid = 1;
         if (isObject(BaseObjectives))
         for (%i = 0; %i < BaseObjectives.getCount(); %i++)
         {
            if(BaseObjectives.getObject(%i).isTurret)
            {
               BaseObjectives.getObject(%i).setTeam(1);
            }
            BaseObjectives.getObject(%i).team = 1;
         }
      case "ec": // Waiting for GameID
         BaseTeam.teamid = 2;
         if (isObject(BaseObjectives))
         for (%i = 0; %i < BaseObjectives.getCount(); %i++)
         {
            if(BaseObjectives.getObject(%i).isTurret)
            {
               BaseObjectives.getObject(%i).setTeam(2);
            }
            BaseObjectives.getObject(%i).team = 2;
         }
      default: // Send General Info
         BaseTeam.teamid = 0;
         if (isObject(BaseObjectives))
         for (%i = 0; %i < BaseObjectives.getCount(); %i++)
         {
            BaseObjectives.getObject(%i).team = 0;
         }
   }
}
// ---------- LOGIN ------------------------------------------------------------
function backendStart()
{
  if ($GUI::Lan || $Server::DedicatedLan) { return; }
  if (!$Game::Running) { echo("Game no running"); return; }
  if (!$Game::Report) { echo("Reporting Disabled"); return; }
  // Use \t instead of & to attach query information
  //%query          = "loginname="@%nick@"\t"@"userpass="@%password;
  // Type 0 requests a GameID number from Database
  $Backend::server       = $IRCClient::AuthServer;      // Same server so its safe to use this
  $Backend::path         = $IRCClient::AuthServerPath;  // Same server so its safe to use this
  //%script       = $Backend::path @ "test.php";                  // Need script name!!
  //%query        = "type=0";
  $Backend = new HTTPObject(BackendConnection);
  //$Backend.get($Backend::server, %script, %query);
  $Team[1].kills = 0;
  $Team[2].kills = 0;
  $Backend::Status = 1;
  $Backend::PCount = 0;

  for (%i = 0; %i <  ClientGroup.getCount(); %i++)
  {
      %client = ClientGroup.getObject(%i);
      $Backend::PlayerGroup.add( new SimObject(){
         name= %client.name;
         kills= %client.kills;
         deaths= %client.deaths;
         suicides= %client.suicides;
         time_played= %client.endtime;
         objectivesTaken= %client.objectivesTaken;
         score= %client.score;
         });
      $Team[%client.team.teamID].kills += %client.kills;
   }
   $Backend::PlayerMax = $Backend::PlayerGroup.getCount();
   if ($Backend::PlayerMax != 0)
      backendSend();
}

function backendSend()
{
   switch($Backend::Status)
   {
      case 1: // Send General Info
        %script = $Backend::path @ "gamestat.php";
        %query = "gameid=" @ $Backend::GameID @ "\t" @
                 "type="@$Server::missionType@"\t"@
                 "map="@$Server::missionName@"\t"@
                 "map_id="@$Server::missionID@"\t"@
                 "map_crc="@$missionCRC@"\t"@
                 "timetaken="@$Sim::Time - $Game::StartTime@"\t"@
                 "team1kills="@$Team[1].kills@"\t"@
                 "team2kills="@$Team[2].kills@"\t"@
                 "numplayers1="@$Team[1].numPlayers@"\t"@
                 "numplayers2="@$Team[2].numPlayers@"\t"@
                 "teamscore1="@$Team[1].score@"\t"@
                 "teamscore2="@$Team[2].score;
        $Backend.get($Backend::server, %script, %query);
     case 2: // Send Player Info
        %client = $Backend::PlayerGroup.getObject($Backend::PCount);
        %script = $Backend::path @ "player.php";
        %query =  "name=" @ %client.name @ "\t" @
                  "kills=" @ %client.kills @ "\t" @
                  "deaths=" @ %client.deaths @ "\t" @
                  "suicides=" @ %client.suicides @ "\t" @
                  "time_played=" @ %client.time_played @ "\t" @
                  "obj_taken=" @ %client.objectivesTaken @"\t" @
                  "score=" @ %client.score @"\t"@
                  "map_crc=" @ $missionCRC;
        $Backend::PCount++;
        $Backend.get($Backend::server, %script, %query);
      case 3: // Send End Packet
         for (%i = 0; %i < $Backend::PlayerGroup.getCount(); %i++)
         {  $Backend::PlayerGroup.getObject(%i).delete(); }

        //%script = $Backend::path @ "test.php";
        //%query = "type=3";
        //$Backend.get($Backend::server, %script, %query);
      default:
        //Done :)
   }
}
//This is where we get the return message (to verify its sent)
function BackendConnection::onLine( %this, %line )
{
   echo(%line);
   switch($Backend::Status)
   {
      case 0: // Waiting for GameID
         if (StrStr(%line, "GameID")) {
           $Backend::GameID = nextToken(%line,temp," ");
         }
         $Backend::Status = 1;
      case 1: // Send General Info
         $Backend::Status = 2;
         if ($Backend::PCount >= $Backend::PlayerMax)
            $Backend::Status = 3;
      case 2: // Send Player Info
         if ($Backend::PCount >= $Backend::PlayerMax)
            $Backend::Status = 3;
      case 3: // Send End Packet

         $Backend::Status = 4;
         return;
   }
   backendSend();
}

// Error messages for connection problems
function BackendConnection::onConnectionDied( %this )
{
   MessageBoxOk("Connection Died","Your connection timed out. This battle will not be reported");
}

function BackendConnection::onDNSFailed( %this )
{
   MessageBoxOk("DNS Failed","I cant find the server. This battle will not be reported");
}

function BackendConnection::onConnectFailed( %this )
{
   MessageBoxOk("Connection Failed","Connection Failed. This battle will not be reported");
}
