//*************************************
// Destroyables by 3D-Diggers/ToRK. Modificed to a class by MGT
//*************************************
datablock StaticShapeData(TruckBaseShape)
{
   className = Destroyables;
   category = "Destroyables";
   destroyable = "1";
   shapeFile = "~/data/shapes/vehicles/truck/transportTruck.dts";
   decalData = DestroyablesBulletHoleData;
   nextObject = "TruckDestroyedShape";

   // Destroyable stats
   mass = 12.8;
   maxDamage = 140;
   destroyedLevel = 140;

   // Explosion
   explosion = DestroyablesExplosion;
   explosionDamage = 8.5;
   explosionRadius = 12.0;

   // Fragments
   //DamageMeshName = "DestroyablesDestroyDamageMesh";
   //numDamageMeshes = "1";
   //numDamageFragments = "40";

   // Debris
   //debrisShapeName = "~/data/shapes/destroyables/woodbarrel/woodbarrel01_debris1.dts";
   //debris = DestroyablesShapeDebris;
   //renderWhenDestroyed = true;
};

datablock StaticShapeData(TruckDestroyedShape)
{
   className = Destroyables;
   category = "Destroyables";
   destroyable = "0";
   shapeFile = "~/data/shapes/terrain_extras/truckrubble.dts";
   decalData = DestroyablesBulletHoleData;
   //nextObject = "TruckDestroyedShape";

   // Destroyable stats
   mass = 12.8;
   maxDamage = 140;
   destroyedLevel = 140;

   // Explosion
   explosion = DestroyablesExplosion;
   explosionDamage = 8.5;
   explosionRadius = 12.0;

   // Fragments
   //DamageMeshName = "DestroyablesDestroyDamageMesh";
   //numDamageMeshes = "1";
   //numDamageFragments = "40";

   // Debris
   //debrisShapeName = "~/data/shapes/destroyables/woodbarrel/woodbarrel01_debris1.dts";
   //debris = DestroyablesShapeDebris;
   //renderWhenDestroyed = true;
};
