$flagslot = 5;

datablock ShapeBaseImageData(Flag1Image)
{
   shapeFile = "~/data/shapes/items/core.dts";
   item = Flag1;
   mountPoint = 5;
   offset = "0 0 0";
    team = 1;
   lightType = "PulsingLight";
   lightColor = "0.5 0.5 0.5 1.0";
   lightTime = "1000";
   lightRadius = "3";
   cloakable = false;
};

datablock ItemData(Flag1)
{
   category = "Flag";
   className = "Flag";
   image = Flag1Image;
   shapefile = "~/data/shapes/items/core.dts";
   mass = 55;
   elasticity = 0.2;
   friction = 0.6;
   pickupRadius = 3;
   pickUpName = "a flag";
   computeCRC = true;
    showInMap = 1;
   lightType = "PulsingLight";
   lightColor = "0.5 0.5 0.5 1.0";
   lightTime = "1000";
   lightRadius = "3";
   team = 1;
   isInvincible = true;
};

datablock ShapeBaseImageData(Flag2Image)
{
   shapeFile = "~/data/shapes/items/core.dts";
   item = Flag2;
   mountPoint = 5;
   offset = "0 0 0";
   team = 2;
   lightType = "PulsingLight";
   lightColor = "0.5 0.5 0.5 1.0";
   lightTime = "1000";
   lightRadius = "3";
   cloakable = false;
};

datablock ItemData(Flag2)
{
   category = "Flag";
   className = "Flag";
   image = Flag2Image;
   shapefile = "~/data/shapes/items/core.dts";
   mass = 55;
   elasticity = 0.2;
   friction = 0.6;
   pickupRadius = 3;
   pickUpName = "a flag";
   computeCRC = true;
    showInMap = 1;
   lightType = "PulsingLight";
   lightColor = "0.5 0.5 0.5 1.0";
   lightTime = "1000";
   lightRadius = "3";
   team = 2;
   isInvincible = true;
};

datablock ShapeBaseImageData(Flag3Image)
{
   shapeFile = "~/data/shapes/flag/sphere.dts";
   item = Flag3;
   mountPoint = 5;
   offset = "0 0 0";

   lightType = "PulsingLight";
   lightColor = "0.5 0.5 0.5 1.0";
   lightTime = "1000";
   lightRadius = "3";
   cloakable = false;
};

datablock ItemData(Flag3)
{
   category = "Flag";
   className = "Flag";
   image = Flag3Image;
   shapefile = "~/data/shapes/flag/sphere.dts";
   mass = 55;
   elasticity = 0.2;
   friction = 0.6;
   pickupRadius = 3;
   pickUpName = "a flag";
   computeCRC = true;
    showInMap = 1;
   lightType = "PulsingLight";
   lightColor = "0.5 0.5 0.5 1.0";
   lightTime = "1000";
   lightRadius = "3";

   isInvincible = true;

};

function Flag::onPickup(%this, %flag, %player, %amount)
{
   if (%player.getClassName() $= "Player" && %player.getMountedImage($FlagSlot) == 0) {
    	serverPlay3D(WeaponPickupSound,%flag.getTransform());
    	%player.incInventory(%this,1);
     	%player.mountImage(%this.image, $FlagSlot);
        %flagType = %flag.getDataBlock().getName();
        %flag.delete();
      
         $Game::FlagTaken[%player.client.team.teamId] = true;
         messageAll( 'MsgObjective', '\c2%1 has taken a Core and is going for a capture!', %player.client.team.name);
         $Flag::CheckProgress[%player.client.team.teamId] = schedule(111, 0, "checkFlagProgress", %player , %flagType, %player.client.team.teamId);
    }
}

function checkFlagProgress(%player, %flag, %team )
{  // echo("checking");
 if( %player.getInventory(%flag) != 0){
 //echo("player has a flag");
   if($Game::FlagTaken[%team])
      $Flag::CheckProgress[%team] = schedule(111, 0, "checkFlagProgress", %player, %flag, %team);
  }
  else{
  $Game::FlagTaken[%team] = false;
  cancel($Flag::CheckProgress[%team]);
  //echo("flag has no player");

   }
}

function montiorFlag(%flag)
{ // echo("montioring");
  %differance =  getSimTime() - %flag.flagCreation;
  //echo("time differance is " @ %differance);
  %flayType = %flag.getDataBlock().getName();
   %team = %flag.getTeam();
   //echo("get team  " @ %team);
  if( %flayType $= "Flag2"){
  %respawnAt = "ECFlagArea";
     %swap = 2;
     }
  if( %flayType $= "Flag1") {
  %respawnAt = "FSFlagArea";
     %swap = 1;
     }
   //if(%team == 1)
   //%swap = 2;
   //if(%team == 2)
   //%swap = 1;
  // echo("flag taken " @ $Game::FlagTaken[%team]);
   //  echo("monitoring flag");
     if( %differance < 30000 )
          schedule(111, 0, "montiorFlag", %flag );
     else
       if(!$Game::FlagTaken[%team]){
          schedule(111, 0, "newflag", %flayType , %respawnAt);
         %flag.delete();
         messageAll( 'MsgObjective', '\c2%1 Core has been returned!', $Team[%swap].name);
         cancel($Flag::CheckProgress[%team]);
         }

}


function newflag(%flag,%player)
{
	echo("newflag" SPC %flag SPC %player);
	%obj = new Item() {
      dataBlock = %flag;
      static = false;
      rotate = false;
   };
   
   %obj.position=%player.position;
   MissionCleanup.add(%obj);
   if(  $Flag::fromDeath) {
     $Flag::fromDeath = false;
        %obj.flagCreation =  getSimTime();
        montiorFlag(%obj);
   }
}
function Flag::OnAdd(%this, %obj){
     %obj.playThread(1,"ambient");
              if(%this.team){
         %obj.setTeam(%this.team);
         }
}
function serverCmdThrowCore(%client){
echo("throw core");

//%client.dump();
//echo("team is "@ %client.team.teamId);
   if(%client.team.teamId == 1)
      %flag =  "Flag2";
   else
      %flag =  "Flag1";
   if(%client.player.getInventory(%flag) > 0){
               echo("throwing Core");
   %client.player.throwItem(%flag,%client);
    %client.player.setInventory(%flag,0);
        %client.player.unmountImage($FlagSlot);
         messageAll( 'MsgObjective', '\c2%1 has dropped the Core!', %client.team.name);

   }
}

