datablock ParticleData(ObjectiveSmokeParticle)
{
    dragCoefficient = 0;
    gravityCoefficient = -0.515263;
    windCoefficient = 1;
    inheritedVelFactor = 0;
    constantAcceleration = 0;
    lifetimeMS = 3488;
    lifetimeVarianceMS = 224;
    useInvAlpha = 0;
    spinRandomMin = -30;
    spinRandomMax = 30;
    textureName = "fps/data/shapes/particles/smoke";
    spinSpeed = 0;
    times[0] = 0;
    times[1] = 0.494118;
    times[2] = 1;
    colors[0] = "0.590551 0.590551 0.590551 0.070866";
    colors[1] = "0.590551 0.590551 0.590551 0.070866";
    colors[2] = "0.590551 0.590551 0.590551 0.000000";
    sizes[0] = 1.73961;
    sizes[1] = 1.98987;
    sizes[2] = 3.24422;
};

datablock ParticleEmitterData(ObjectiveSmokeEmitter)
{
    ejectionPeriodMS = 20;
    periodVarianceMS = 5;
    ejectionVelocity = 0.25;
    velocityVariance = 0.1;
    ejectionOffset = 0;
    thetaMin = 0;
    thetaMax = 90;
    phiReferenceVel = 0;
    phiVariance = 360;
    overrideAdvances = ;
    orientParticles= 0;
    orientOnVelocity = 1;
    particles = "ObjectiveSmokeParticle";
};
