// flare script
// ------------------------------------------------------------------------

datablock AudioProfile(FlareGrenadeBurnSound)
{
   filename = "~/data/sound/flare.ogg";
   description = AudioDefaultLooping3d;
   preload = true;
};

datablock AudioProfile(FlareGrenadeemitSound)
{
   filename = "~/data/sound/flare_emit.ogg";
   description = AudioDefaultLooping3d;
   preload = true;
};


//--------------------------------------------------------------------------
// Projectile - Flare Grenade
//--------------------------------------


datablock ItemData(Flare)
{
   category = "Flare";
   //texture = "common/lighting/corona";
   // Basic Item properties
   shapeFile = "~/data/shapes/items/flare.dts";
   mass = 1;
   friction = 1;
   elasticity = 0.3;

   // Dynamic properties defined by the scripts
   pickupName = "a Flare";
   repairAmount = 50;
   heat = 2.0;

   dynamicType = $TypeMasks::DamagableItemObjectType;
       explosion = homingExplosion;
      fadeIn = 0;

};

function Flare::onAdd(%this, %obj)
{
%obj.setHeat(%this.heat);
%obj.playThread(0,"ambient");
FlareSet.add(%obj);
//echo("FlareGrenade HEAT is " @ %this.heat);
 %obj.schedule(5555, "delete");
 
}

function Flare::onRemove(%this, %obj)
{
%obj.stopAudio(0);
}
//------------------------------------------------------------------------------
// Functions:
//------------------------------------------------------------------------------
function Flare::onCollision( %data, %obj, %col )
{
          //echo("flare collision");
          // Do nothing...
           //  %obj.setDamageState(Destroyed);

           
}

function serverCmdThrowFlare(%client){
         //echo("throwing flare");
      if(%client.player.MaxCounters != 0){
   %client.player.throwItem(Flare);
      %client.player.MaxCounters--;
      %client.setCounterAmountHud(%client.player.MaxCounters);
      }
}

