//------------------------------------------------------------------------------
// IRC-INGAME Script v0.5
//------------------------------------------------------------------------------
// Functions related to ingame chat... Grumble
//------------------------------------------------------------------------------
//
// By Sebastien Bourgon
// Last Updated February 26th, 2003
//------------------------------------------------------------------------------

$INGAME = new ScriptObject(){
   channel = "#test";
   password = "Blah";
   team = 0;
   playing = false;
   lastchan = "#DarkHorizons";
  };

function IRCClient::ingameStart(%chan,%key)
{
  //Set ingame
  $INGAME.playing = true;
  $INGAME.channel = "#" @ %chan;
  $INGAME.password = %key;
  $INGAME.lastChan = mMM_ChanList.getSelectedId();
  $IRCClient::LastChannel = $INGAME.lastChan;
  //Join server channel using key
  IRCClient::send("JOIN " @ $INGAME.Channel SPC $INGAME.password);
  if ($GUI::Host)
  {
    IRCClient::send("MODE " @ $INGAME.Channel @ " +ntsk " @ $INGAME.password);
  }
  IRCClient::send("NICK " @ $pref::Player::Name @ "-Game");
}

function IRCClient::ingameEnd()
{
   if ($INGAME.playing)
   {
      //Set ingame
      $INGAME.playing = false;
      //Leave server channel
      IRCClient::send("PART " @ $INGAME.Channel @ " :");
      IRCClient::send("NICK " @ $pref::Player::Name);
      IRCClient::send("NICKSERV IDENTIFY " @ $IRCClient::Pass);
   }
}


function IRCClient::ingameHost(%servername)
{
  %message = "A new battle is underway on: \c5" @ %servername;
  IRCClient::send("PRIVMSG " @ $IRCClient::currentChannel.getName() @ " :" @ %message);
  IRCClient::newMessage($IRCClient::currentChannel, $IRCClient::Nick @ "> " @ %message);
}

// Send text to channel
function IRCClient::ingameSend(%toggle,%message)
{
  if (%toggle $= "team")
  {
     IRCClient::send("PRIVMSG " @ $INGAME.Channel @ " :TEAM " @ $INGAME.Team SPC $pref::Player::Name SPC %message);
     IRCClient::ingameMessage($pref::Player::Name @ ">\c3" SPC %message);
  }
  else
  {
     IRCClient::send("PRIVMSG " @ $INGAME.Channel @ " :GLOBAL " @ $pref::Player::Name SPC %message);
     IRCClient::ingameMessage($pref::Player::Name @ ">\c4" SPC %message);
  }
}

// Receiving text from channel
function IRCClient::ingameRecieve(%prefix, %params)
{
   %msg = getSubStr(%params,1,strlen(%params)-1);
   %msg = nextToken(%msg,type," ");
   // Check to see if its a TEAM Only message
   // Get the appropriate team number if so.
   // Team 0 is default and hence global team.
   // Currently no team in a team game is Team 0
   if (%type $= "TEAM")
   {
      %msg = nextToken(%msg,teamnum," ");
      if (%teamnum $= $INGAME.Team)
      {
         %msg = nextToken(%msg,nick," ");
         %message = %nick @ ">\c3 " @ %msg;
         IRCClient::ingameMessage(%message);
      }
   }
   if (%type $= "GLOBAL")
   {
      %msg = nextToken(%msg,nick," ");
      %message = %nick @ ">\c4 " @ %msg;
      IRCClient::ingameMessage(%message);
   }

}

function IRCClient::ingameMessage(%message)
{
/// Currently just redirects to ChatHud
//  If any additional code is needed it'll go here rather then modifying
//  the chathud code that is already inplace.
      FSChatHud.addLine(%message);
}
