//-----------------------------------------------------------------------------
// Torque Game Engine 
// Copyright (C) GarageGames.com, Inc.
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
// Package overrides to initialize the mod.

package Mapping {

function displayHelp() {
   Parent::displayHelp();
   error(
      "Mapping Mod options:\n"
   );
}

function onStart()
{
   echo("\n--------- Initializing MOD: Mapping ---------");

   // Load the scripts that start it all...
   exec("./client/init.cs");
   // beffy: load additional package client functions:
   exec("~/client/init.cs");

   exec("./server/init.cs");
   exec("./data/init.cs");

   // Call  parent game to start everything up.
   Parent::onStart();

   // Override a variable set by the "fps" code.
   $Client::GameTypeQuery = "Mapping";
}

}; // Client package
activatePackage(Mapping);
