//-----------------------------------------------------------------------------
// Torque Game Engine
// 
// Copyright (c) 2001 GarageGames.Com
// Portions Copyright (c) 2001 by Sierra Online, Inc.
//-----------------------------------------------------------------------------

// The master server is declared with the server defaults, which is
// loaded on both clients & dedicated servers.  If the server mod
// is not loaded on a client, then the master must be defined. 
$pref::Master[0] = "2:v12master.dyndns.org:28002";
$pref::Player::InvertMouse = 1;
$pref::Player::InvertJoystick = -1;
$pref::Player::Name = "ChangeMe";
$pref::Player::defaultFov = 90;
$pref::Player::zoomSpeed = 0;
$pref::Player::renderMyItems = "1";
$pref::Player::renderMyPlayer = "1";

$pref::IGC = false;
$pref::Net::LagThreshold = 400;

$pref::shadows = "2";
$pref::HudMessageLogSize = 40;

$pref::Input::LinkMouseSensitivity = 1;
// DInput keyboard, mouse, and joystick prefs
$pref::Input::KeyboardEnabled = 1;
$pref::Input::MouseEnabled = 1;
$pref::Input::JoystickEnabled = 0;
$pref::Input::enableThrottle = 0;
$pref::Input::KeyboardTurnSpeed = 0.01;
$pref::Input::Sensitivity = 1;

$pref::sceneLighting::cacheSize = 20000;
$pref::sceneLighting::purgeMethod = "lastCreated";
$pref::sceneLighting::cacheLighting = 1;
$pref::sceneLighting::terrainGenerateLevel = 1;

$pref::Terrain::DynamicLights = 1;
$pref::Interior::TexturedFog = 0;

$pref::Video::displayDevice = "OpenGL";
$pref::Video::allowOpenGL = 1;
$pref::Video::allowD3D = 1;
$pref::Video::preferOpenGL = 1;
$pref::Video::appliedPref = 0;
$pref::Video::disableVerticalSync = 1;
$pref::Video::monitorNum = 0;
$pref::Video::windowedRes = "800 600";
$pref::Video::fullScreen = "1";

$pref::OpenGL::textureTrilinear = "1";
$pref::OpenGL::textureAnisotropy = "0.5";
$pref::OpenGL::force16BitTexture = "0";
$pref::OpenGL::forcePalettedTexture = "0";
$pref::OpenGL::maxHardwareLights = 3;
$pref::VisibleDistanceMod = 1.0;

$pref::Audio::driver = "OpenAL";
$pref::Audio::forceMaxDistanceUpdate = 0;
$pref::Audio::environmentEnabled = 0;
$pref::Audio::masterVolume   = 0.8;
$pref::Audio::channelVolume[1] = 0.8;
$pref::Audio::channelVolume[2] = 0.8;
$pref::Audio::channelVolume[3] = 0.8;
$pref::Audio::channelVolume[4] = 0.8;
$pref::Audio::channelVolume[5] = 0.8;
$pref::Audio::channelVolume[6] = 0.8;
$pref::Audio::channelVolume[7] = 0.8;
$pref::Audio::channelVolume[8] = 0.8;

$Pref::Unix::OpenALFrequency = 44100;
