//-----------------------------------------------------------------------------
// Torque Game Engine
// 
// Copyright (c) 2001 GarageGames.Com
// Portions Copyright (c) 2001 by Sierra Online, Inc.
//-----------------------------------------------------------------------------

if ( isObject( moveMap ) )
   moveMap.delete();
new ActionMap(moveMap);

GlobalActionMap.bindCmd(keyboard, "f12","", "IRCClient::loginComplete();");
GlobalActionMap.bind(keyboard, "tilde", toggleConsole);
//GlobalActionMap.bind(keyboard, "ctrl f1", showMachineGUID);
GlobalActionMap.bindCmd(keyboard, "alt enter", "", "toggleFullScreen();");
GlobalActionMap.bindCmd(keyboard, "f2", "", "menuPlaylists::toggle();");
//------------------------------------------------------------------------------
// Unused Functions
//------------------------------------------------------------------------------
//function showMachineGUID()
//{
//   %text = "Your Machine GUID for Offline Ignition is " @ ignitionGetMachineGUID();
//   MessageBoxOk("Machine GUID",%text);
//}
//we will need to disable these for release
function dropCameraAtPlayer(%val)
{
   if (%val)
      commandToServer('dropCameraAtPlayer');
}
function dropPlayerAtCamera(%val)
{
   if (%val)
      commandToServer('DropPlayerAtCamera');
}
function addBot(%val)
{
	if(%val)
		commandToServer('AddBot');
}

function addMadBot(%val)
{
	if(%val)
		commandToServer('AddBadBot');
}

// The Remap List
$KeybindList = new SimGroup();
$KeybindList.add(new ScriptObject() {
   title = "Forward";
   command = "moveforward";
   type = "movement";
});
$KeybindList.add(new ScriptObject() {
   title = "Backward";
   command = "movebackward";
   type = "movement";
});
$KeybindList.add(new ScriptObject() {
   title = "Strafe Left";
   command = "moveleft";
   type = "movement";
});
$KeybindList.add(new ScriptObject() {
   title = "Strafe Right";
   command = "moveright";
   type = "movement";
});
$KeybindList.add(new ScriptObject() {
   title = "Turn Left";
   command = "turnLeft";
   type = "movement";
});
$KeybindList.add(new ScriptObject() {
   title = "Turn Right";
   command = "turnRight";
   type = "movement";
});
$KeybindList.add(new ScriptObject() {
   title = "Look Up";
   command = "panUp";
   type = "movement";
});
$KeybindList.add(new ScriptObject() {
   title = "Look Down";
   command = "panDown";
   type = "movement";
});
$KeybindList.add(new ScriptObject() {
   title = "Toggle Throttle";
   command = "maintainSpeed";
   type = "movement";
});
$KeybindList.add(new ScriptObject() {
   title = "Increase Throttle";
   command = "incrementSpeed";
   type = "movement";
});
$KeybindList.add(new ScriptObject() {
   title = "Decrease Throttle";
   command = "decrementSpeed";
   type = "movement";
});
$KeybindList.add(new ScriptObject() {
   title = "Reverse Direction";
   command = "reverseSpeed";
   type = "movement";
});
$KeybindList.add(new ScriptObject() {
   title = "Jump";
   command = "jump";
   type = "movement";
});
$KeybindList.add(new ScriptObject() {
   title = "Jet";
   command = "jet";
   type = "movement";
});
$KeybindList.add(new ScriptObject() {
   title = "Fire Weapon";
   command = "actionFire";
   type = "mavaction";
});
$KeybindList.add(new ScriptObject() {
   title = "Adjust Zoom";
   command = "setZoomFov";
   type = "misc";
});
$KeybindList.add(new ScriptObject() {
   title = "Toggle Zoom";
   command = "toggleZoom";
   type = "misc";
});
$KeybindList.add(new ScriptObject() {
   title = "Toggle Satelite Feed";
   command = "toggleCommMap";
   type = "misc";
});
$KeybindList.add(new ScriptObject() {
   title = "Hide Hud";
   command = "hideHud";
   type = "misc";
});
$KeybindList.add(new ScriptObject() {
   title = "Free Look";
   command = "toggleFreeLook";
   type = "misc";
});
$KeybindList.add(new ScriptObject() {
   title = "Switch 1st/3rd";
   command = "toggleFirstPerson";
   type = "misc";
});
$KeybindList.add(new ScriptObject() {
   title = "Toggle Message Hud";
   command = "toggleMessageHud";
   type = "misc";
});
$KeybindList.add(new ScriptObject() {
   title = "Toggle Team Message Hud";
   command = "teamMessageHud";
   type = "misc";
});
$KeybindList.add(new ScriptObject() {
   title = "Message Hud PageUp";
   command = "pageMessageHudUp";
   type = "misc";
});
$KeybindList.add(new ScriptObject() {
   title = "Message Hud PageDown";
   command = "pageMessageHudDown";
   type = "misc";
});
//$KeybindList.add(new ScriptObject() {
//   title = "Lay Mine";
//   command = "throwMine";
//   type = "mavaction";
//});
$KeybindList.add(new ScriptObject() {
   title = "Abandon Core";
   command = "throwCore";
   type = "mavaction";
});
$KeybindList.add(new ScriptObject() {
   title = "Launch Flare";
   command = "throwFlare";
   type = "mavaction";
});
$KeybindList.add(new ScriptObject() {
   title = "Use Special Weapon";
   command = "useSpecial";
   type = "mavaction";
});
$KeybindList.add(new ScriptObject() {
   title = "Show Player List";
   command = "ShowList";
   type = "misc";
});
$KeybindList.add(new ScriptObject() {
   title = "Display Options";
   command = "showOptions";
   type = "misc";
});
$KeybindList.add(new ScriptObject() {
   title = "Select Primary Weapon";
   command = "primGun";
   type = "mavaction";
});
$KeybindList.add(new ScriptObject() {
   title = "Select Secondary Weapon";
   command = "secGun";
   type = "mavaction";
});
$KeybindList.add(new ScriptObject() {
   title = "Toggle Weapon";
   command = "toggleGun";
   type = "mavaction";
});
$KeybindList.add(new ScriptObject() {
   title = "Cycle Weapon";
   command = "cycleWeaponAxis";
   type = "mavaction";
});
$KeybindList.add(new ScriptObject() {
   title = "Show Framerate";
   command = "showFPS";
   type = "misc";
});
$KeybindList.add(new ScriptObject() {
   title = "Yaw";
   command = "axisyaw";
   type = "axis";
   axis = "xaxis";
});
$KeybindList.add(new ScriptObject() {
   title = "Pitch";
   command = "axispitch";
   type = "axis";
   axis = "yaxis";
});
$KeybindList.add(new ScriptObject() {
   title = "Throttle";
   command = "axisthrottle";
   type = "axis";
   axis = "slider";
});
$KeybindList.add(new ScriptObject() {
   title = "Strafe (Roll)";
   command = "axisroll";
   type = "axis";
   axis = "rzaxis";
});
$KeybindList.add(new ScriptObject() {
   title = "Quick Message 1";
   command = "quickmessages0";
   type = "messages";
});
$KeybindList.add(new ScriptObject() {
   title = "Quick Message 2";
   command = "quickmessages1";
   type = "messages";
});
$KeybindList.add(new ScriptObject() {
   title = "Quick Message 3";
   command = "quickmessages2";
   type = "messages";
});
$KeybindList.add(new ScriptObject() {
   title = "Quick Message 4";
   command = "quickmessages3";
   type = "messages";
});
$KeybindList.add(new ScriptObject() {
   title = "Quick Message 5";
   command = "quickmessages4";
   type = "messages";
});
$KeybindList.add(new ScriptObject() {
   title = "Quick Message 6";
   command = "quickmessages5";
   type = "messages";
});
$KeybindList.add(new ScriptObject() {
   title = "Quick Message 7";
   command = "quickmessages6";
   type = "messages";
});
$KeybindList.add(new ScriptObject() {
   title = "Quick Message 8";
   command = "quickmessages7";
   type = "messages";
});
$KeybindList.add(new ScriptObject() {
   title = "Quick Message 9";
   command = "quickmessages8";
   type = "messages";
});

function toggleCommMap( %val )
{
  if(%val)
  CommanderHudGui::toggle();
}
function CommanderHudGui::toggle(%this)
{
   if (CommanderHudGui.isAwake())
   {
      Canvas.popDialog(CommanderHudGui);
   }
   else
   {
      Canvas.pushDialog(CommanderHudGui);
   }
}
moveMap.bind(keyboard, "m", toggleCommMap);
//moveMap.bindCmd(keyboard, "m", "commandToServer(\'CommanderMap\');", "");
//moveMap.bind(keyboard, "m", "", "CommanderHudGui::toggle();");
// Non Re-Bindable Commands (at time of coding)
moveMap.bindCmd(keyboard, "escape", "", "escapeFromGame();");
moveMap.bindCmd(keyboard, "ctrl k", "commandToServer(\'suicide\');", "");
moveMap.bindCmd(keyboard, "ctrl f2", "", "TeamSelect();");
moveMap.bind(keyboard, "f3", startRecordingDemo);
moveMap.bind(keyboard, "f4", stopRecordingDemo);
//moveMap.bindCmd(keyboard, "ctrl w", "commandToServer(\'playCel\',\"wave\");", "");
//moveMap.bindCmd(keyboard, "ctrl s", "commandToServer(\'playCel\',\"salute\");", "");
//moveMap.bind(keyboard, "f8", dropCameraAtPlayer);
//moveMap.bind(keyboard, "f7", dropPlayerAtCamera);
//moveMap.bind(keyboard, "ctrl b", addBot);
moveMap.bind(keyboard, "w", moveForward);
moveMap.bind(keyboard, "s", movebackward);
moveMap.bind(keyboard, "a", moveleft);
moveMap.bind(keyboard, "d", moveright);
moveMap.bind(keyboard, "left", turnLeft);
moveMap.bind(keyboard, "right", turnRight);
moveMap.bind(keyboard, "up", panUp);
moveMap.bind(keyboard, "down", panDown);
moveMap.bind(keyboard, "=", maintainSpeed);
moveMap.bind(keyboard, "]", incrementSpeed);
moveMap.bind(keyboard, "[", decrementSpeed);
moveMap.bind(keyboard, "backslash", reverseSpeed);
moveMap.bind(keyboard, "space", jump);
moveMap.bind(keyboard, "z", toggleFreeLook);
moveMap.bind(keyboard, "alt c", toggleFirstPerson);
moveMap.bind(keyboard, "tab", ShowList);
moveMap.bind(keyboard, "1", primGun);
moveMap.bind(keyboard, "2", secGun);
moveMap.bind(keyboard, "ctrl f", showFPS);
moveMap.bind(keyboard, "q", useSpecial);
moveMap.bind(keyboard, "f", throwFlare);
moveMap.bind(keyboard, "g", throwCore);
//moveMap.bind(keyboard, "q", throwMine);
moveMap.bind(keyboard, "pageup", pageMessageHudUp);
moveMap.bind(keyboard, "pagedown", pageMessageHudDown);
moveMap.bind(keyboard, "u", toggleMessageHud);
moveMap.bind(keyboard, "y", teamMessageHud);
moveMap.bind(keyboard, "e", setZoomFov);
moveMap.bind(keyboard, "r", toggleZoom);
moveMap.bind(mouse0, "button1", jet);
moveMap.bind(mouse0, "button0", actionFire);
moveMap.bind(mouse0, "button2", toggleGun);
moveMap.bind(mouse0, "xaxis", axisyaw);
moveMap.bind(mouse0, "yaxis", axispitch);
moveMap.bind(keyboard, "ctrl o", showOptions);
moveMap.bind(keyboard, "ctrl c", toggleCamera);


