//-----------------------------------------------------
//GUI Unit Information Objects. -----------------------
//-----------------------------------------------------


function gameSelectMain::onWake()
{
   moveMap.push();
}

function gameSelectMain::onSleep()
{
   ObjectView.setEmpty();
}

function gameSelectMain::switchpanel(%toggle)
{
  ObjectViewPane.setVisible(false);
  SelectTeamPane.setVisible(false);
  SelectInfoPane.setVisible(false);
  ("Select" @ %toggle @ "Pane").setVisible(true);
  
  if (%toggle $= "Team")
  {
    ObjectViewPane.setVisible(true);
  }
}

function gameSelectMain::getUnitInfo(%name)
{
   for (%i = 0; %i < $GUI::UnitInfo.getCount(); %i++)
   {
      %temp = $GUI::UnitInfo.getObject(%i);
      if (%temp.name $= %name)
        return %temp;
   }  
}
function gameSelectMain::launch()
{
  %info = gameSelectMain.selected;
  if (strlen(%info.name))
  {
    $INGAME.team = %info.Team;
    commandtoserver('joinTeam', %info.Team);
    commandtoserver('addVehicle', %info.LoadCommand,3);
    commandtoserver('addWeapons');
    gameSelectMain::toggle();
  }
}

function gameSelectMain::select(%name)
{
  %info = gameSelectMain::getUnitInfo(%name);
  gameSelectMain.selected = %info;
  ObjectView.setObject(%info.OVName, %info.OVPath, "", 0);
  ObjectView.setRotate(0.5);
  ObjectDescription.setText(%info.Description);
}

function gameSelectMain::toggle(%this)
{
  if (gameSelectMain.isAwake())
     commandToServer('getHud');
  else
     Canvas.setContent(gameSelectMain);
}
