ComcentObjectives.add(new SimObject("ComObj-1")
{
   id       = 1;
   name     = "Northern Territory";
   owner    = 1;
   positionx = 725;
   positiony = 210;
   display  = 1;
   desc     = "One of the few areas on the east coast that is not heavily contaminated is the Northern Territories.  The Federated States has been using this area for the past 25 years to conduct scientific research on No Man's Land.  The AFFS fears the Northern Territory could be used as an enemy's entry point into the Federation's east coast.";
});

ComcentObjectives.add(new SimObject("ComObj-2")
{
   id       = 2;
   name     = "Eastern Port";
   owner    = 1;
   positionx = 605;
   positiony = 285;
   display  = 1;
   desc     = "The area surrounding the Eastern Port was one of the heaviest hit by the strike in 2010; contamination levels have fluctuated for decades leading the Federation's scientific community to believe that the enormous amount of concrete and steel in the cities is storing radioactive energy. The Eastern Port has been on of the most difficult zones to protect due to the contamination levels. If an invading force were to develop a mechanized assault vehicle the Eastern Port would be the perfect place to deploy them.";
});

ComcentObjectives.add(new SimObject("ComObj-3")
{
   id       = 3;
   name     = "River Fortress";
   owner    = 1;
   positionx = 570;
   positiony = 302;
   display  = 1;
   desc     = "One of the key possessions for the Federation has been the river leading into the heart of No Man's Land.  River Fortress has been a port for supplies of MAV parts and equipment for years. Without the complex, the Federation would sustain delays in the refitting and repairing of their MAV forces.";
});

ComcentObjectives.add(new SimObject("ComObj-4")
{
   id       = 4;
   name     = "Mega City 1";
   owner    = 1;
   positionx = 670;
   positiony = 240;
   display  = 1;
   desc     = "In 2157 the Federation completed construction on its first Mega City in an attempt to repopulate No Man's Land.  The first people to enter the Mega Cities were scientists, which could better understand the effects of the radiation by watching from ground zero.  Mega City 1 has an access tunnel from the east coast, allowing crew and equipment to be easily shuttled to and from the city.  If the Eastern Confederation were to capture Mega City 1 the Federation would loose one of its most prized possessions, along with some of their top scientific minds.";
});

ComcentObjectives.add(new SimObject("ComObj-5")
{
   id       = 5;
   name     = "New Manhattan";
   owner    = 1;
   positionx = 625;
   positiony = 55;
   display  = 0;
   desc     = "";
});

ComcentObjectives.add(new SimObject("ComObj-6")
{
   id       = 6;
   name     = "Midwest Mines";
   owner    = 1;
   positionx = 540;
   positiony = 290;
   display  = 1;
   desc     = " The old strip mines of Mid-america, still hold vast amounts of resources in them. The Federated states has setup a large base outside this mining operation.";
});

ComcentObjectives.add(new SimObject("ComObj-7")
{
   id       = 7;
   name     = "Southern Port";
   owner    = 1;
   positionx = 540;
   positiony = 350;
   display  = 0;
   desc     = "";
});

ComcentObjectives.add(new SimObject("ComObj-8")
{
   id       = 8;
   name     = "NorthEast Canada";
   owner    = 1;
   positionx = 630;
   positiony = 155;
   display  = 0;
   desc     = "";
});

ComcentObjectives.add(new SimObject("ComObj-9")
{
   id       = 9;
   name     = "MidEast Canada";
   owner    = 1;
   positionx = 545;
   positiony = 215;
   display  = 0;
   desc     = "";
});

ComcentObjectives.add(new SimObject("ComObj-10")
{
   id       = 10;
   name     = "Silo Center";
   owner    = 1;
   positionx = 450;
   positiony = 195;
   display  = 0;
   desc     = "";
});

ComcentObjectives.add(new SimObject("ComObj-11")
{
   id       = 11;
   name     = "Northern Mines";
   owner    = 1;
   positionx = 390;
   positiony = 155;
   display  = 0;
   desc     = "";
});

ComcentObjectives.add(new SimObject("ComObj-12")
{
   id       = 12;
   name     = "North Coast";
   owner    = 1;
   positionx = 460;
   positiony = 100;
   display  = 0;
   desc     = "";
});

ComcentObjectives.add(new SimObject("ComObj-13")
{
   id       = 13;
   name     = "Border City";
   owner    = 1;
   positionx = 395;
   positiony = 200;
   display  = 0;
   desc     = "";
});

ComcentObjectives.add(new SimObject("ComObj-14")
{
   id       = 14;
   name     = "Steel City";
   owner    = 1;
   positionx = 505;
   positiony = 280;
   display  = 0;
   desc     = " ";
});

ComcentObjectives.add(new SimObject("ComObj-15")
{
   id       = 15;
   name     = "Southern Oil Fields";
   owner    = 1;
   positionx = 460;
   positiony = 335;
   display  = 0;
   desc     = "";
});

ComcentObjectives.add(new SimObject("ComObj-16")
{
   id       = 16;
   name     = "New Norad";
   owner    = 1;
   positionx = 400;
   positiony = 295;
   display  = 0;
   desc     = "";
});

ComcentObjectives.add(new SimObject("ComObj-17")
{
   id       = 17;
   name     = "NorthWest Canada";
   owner    = 1;
   positionx = 260;
   positiony = 100;
   display  = 0;
   desc     = "";
});

ComcentObjectives.add(new SimObject("ComObj-18")
{
   id       = 18;
   name     = "Crystal Lake";
   owner    = 1;
   positionx = 325;
   positiony = 75;
   display  = 0;
   desc     = "";
});

ComcentObjectives.add(new SimObject("ComObj-19")
{
   id       = 19;
   name     = "Los Nuevos";
   owner    = 1;
   positionx = 355;
   positiony = 340;
   display  = 0;
   desc     = "";
});

ComcentObjectives.add(new SimObject("ComObj-20")
{
   id       = 20;
   name     = "San Angelos";
   owner    = 1;
   positionx = 300;
   positiony = 275;
   display  = 0;
   desc     = "";
});

ComcentObjectives.add(new SimObject("ComObj-21")
{
   id       = 21;
   name     = "Whale Landing";
   owner    = 1;
   positionx = 260;
   positiony = 175;
   display  = 0;
   desc     = "";
});

ComcentObjectives.add(new SimObject("ComObj-22")
{
   id       = 22;
   name     = "Entry Point";
   owner    = 1;
   positionx = 25;
   positiony = 70;
   display  = 0;
   desc     = "";
});

ComcentObjectives.add(new SimObject("ComObj-24")
{
   id       = 24;
   name     = "New Anchorage";
   owner    = 1;
   positionx = 102;
   positiony = 135;
   display  = 0;
   desc     = "";
});

ComcentObjectives.add(new SimObject("ComObj-25")
{
   id       = 25;
   name     = "Alaskan Oil";
   owner    = 1;
   positionx = 100;
   positiony = 80;
   display  = 0;
   desc     = "";
});

ComcentObjectives.add(new SimObject("ComObj-26")
{
   id       = 26;
   name     = "Base 5";
   owner    = 1;
   positionx = 175;
   positiony = 65;
   display  = 0;
   desc     = "";
});

ComcentObjectives.add(new SimObject("ComObj-28")
{
   id       = 28;
   name     = "MAV Island";
   owner    = 1;
   positionx = 237;
   positiony = 165;
   display  = 0;
   desc     = "  ";
});

ComcentObjectives.add(new SimObject("ComObj-30")
{
   id       = 30;
   name     = "Appalachians";
   owner    = 1;
   positionx = 580;
   positiony = 260;
   display  = 1;
   desc     = "  A Eastern Confederation Dropship has over flown its target and landed in the mountians. Though this region is currently controlled by the Federated States, if the EC can recover set foot hold in this area it could be a major strategic point the the EC.";
});
