//-----------------------------------------------------------------------------
//-----------------------------------------------------------------------------
function DialogCallback(%dlg,%callback)
{
   Canvas.popDialog(%dlg);
   $GUI::Input1 = mDB_Input1.getValue();
   $GUI::Input2 = mDB_Input2.getValue();
   mDB_Input1.setValue("");
   mDB_Input2.setValue("");
   eval(%callback);
}

function menuDialogBox::onWake()
{
   mDB_Input1.setVisible(false);
   mDB_Input2.setVisible(false);
   mDB_Text1.setVisible(false);
   mDB_Text1.setVisible(false);
   $GUI::Input1 = "";
   $GUI::Input2 = "";
}

function DialogBoxSingle(%title, %one, %callback, %cancelCallback )
{
   Canvas.pushDialog(menuDialogBox);
   mDB_Header.setText(%title);
   mDB_Text1.setText(%one);
   mDB_Text2.setText(%two);
   mDB_Input1.setVisible(true);
   mDB_Text1.setVisible(true);
	menuDialogBox.callback = %callback;
	menuDialogBox.cancelCallback = %cancelCallback;
}

function DialogBoxDouble(%title, %one, %two, %callback, %cancelCallback)
{
 Canvas.pushDialog(menuDialogBox);
   mDB_Header.setText(%title);
   mDB_Text1.setText(%one);
   mDB_Text2.setText(%two);
   mDB_Input1.setVisible(true);
   mDB_Text1.setVisible(true);
   mDB_Input2.setVisible(true);
   mDB_Text2.setVisible(true);
	menuDialogBox.callback = %callback;
	menuDialogBox.cancelCallback = %cancelCallback;
}

function MessageCallback(%dlg,%callback)
{
   Canvas.popDialog(%dlg);
   eval(%callback);
}

function MessageBoxDlg::onWake()
{
   MB_OKButton.setVisible(false);
   MB_OKButton2.setVisible(false);
   MB_YesButton.setVisible(false);
   MB_NoButton.setVisible(false);
   MB_CancelButton.setVisible(false);
}
//------------------------------------------------------------------------------
function MessageBoxDlg::onSleep( %this )
{
   %this.callback = "";
   %this.yesCallback = "";
   %this.noCallback = "";
   %this.cancelCallback ="";
   MB_OKButton.setVisible(false);
   MB_OKButton2.setVisible(false);
   MB_YesButton.setVisible(false);
   MB_NoButton.setVisible(false);
   MB_CancelButton.setVisible(false);
}

//-----------------------------------------------------------------------------
// MessageBox OK
//-----------------------------------------------------------------------------

function MessageBoxOK( %title, %message, %callback )
{
Canvas.popDialog( MessageBoxDlg );
   MBHeader.setText(%title);
   MBText.setText("<just:center>" @ %message);
   Canvas.pushDialog(MessageBoxDlg);
   MB_OKButton2.setVisible(true);
   MessageBoxDlg.callback = %callback;

}

//------------------------------------------------------------------------------
// MessageBox Cancel dialog:
//------------------------------------------------------------------------------

function MessageBoxCancel( %title, %message, %callback, %cancelCallback )
{
Canvas.popDialog( MessageBoxDlg );
	MBHeader.setText( %title );
   MBText.setText("<just:center>" @ %message);
   Canvas.pushDialog( MessageBoxDlg );
   MB_CancelButton.setVisible(true);
	MessageBoxDlg.callback = %callback;
	MessageBoxDlg.cancelCallback = %cancelCallback;
}


//------------------------------------------------------------------------------
// MessageBox OK/Cancel dialog:
//------------------------------------------------------------------------------

function MessageBoxOKCancel( %title, %message, %callback, %cancelCallback )
{
Canvas.popDialog( MessageBoxDlg );
	MBHeader.setText( %title );
   MBText.setText("<just:center>" @ %message);
   Canvas.pushDialog( MessageBoxDlg );
	MB_OKButton.setVisible(true);
   MB_CancelButton.setVisible(true);
   MessageBoxDlg.callback = %callback;
	MessageBoxDlg.cancelCallback = %cancelCallback;
}
//------------------------------------------------------------------------------
// MessageBox Yes/No dialog:
//------------------------------------------------------------------------------

function MessageBoxYesNo( %title, %message, %yesCallback, %noCallback )
{
Canvas.popDialog( MessageBoxDlg );
	MBHeader.setText(%title);
    MBText.setText("<just:center>" @ %message);
    Canvas.pushDialog( MessageBoxDlg );
    MB_YesButton.setVisible(true);
    MB_NoButton.setVisible(true);
 	MessageBoxDlg.yesCallBack = %yesCallback;
	MessageBoxDlg.noCallback = %noCallBack;
}


//------------------------------------------------------------------------------
// Message popup dialog:
//------------------------------------------------------------------------------

function MessagePopup( %title, %message, %delay )
{
   // Currently two lines max.
   Canvas.popDialog( MessageBoxDlg );
   MBHeader.setText( %title );
   MBText.setText("<just:center>" @ %message);
   Canvas.pushDialog( MessageBoxDlg );
   if ( %delay !$= "" )
      schedule( %delay, 0, CloseMessagePopup );
}

//------------------------------------------------------------------------------

function CloseMessagePopup()
{
   Canvas.popDialog( MessageBoxDlg );
}

//------------------------------------------------------------------------------
// Message event dialog:
//------------------------------------------------------------------------------

function MessageEvent( %title, %message )
{
   // Currently two lines max.
   Canvas.popDialog( MessageBoxDlg );
   MBHeader.setText( %title );
   MBText.setText("<just:center>" @ %message);
   Canvas.pushDialog( MessageBoxDlg );
}

//------------------------------------------------------------------------------

function CloseMessageEvent()
{
   Canvas.popDialog( MessageBoxDlg );
}

