// Create a TCPObject to be used for connecting to the server
$rss::tcpobject = new TCPObject(TCPObj);
$rss::site = "www.darkhorizons-lore.com:80"; // The URL and port to your webserver.  Do not include http://
$rss::folder = "/rssnews/"; // Path to the rssnews.php file on your webserver, include leading and trailing /'s
$rss::url = "";  // Should always be blank

//-------------------------
// When we're connected send
// a GET request with the URL
// of the RSS we want
//-------------------------
function TCPObj::onConnected(%this)
{
	// Output red text to show we connected
	// Send the request for the RSS file from the RSS URL
	%this.send("GET " @ $rss::folder @ "rssnews2.php HTTP/1.0\nHost: " @ $rss::site @ "\nUser-Agent: Torque/1.0 \n\r\n");
}

//-------------------------
// Parse the return from the 
// server. 
//-------------------------
function TCPObj::onLine(%this, %line)
{
	// Check to see if return contains RSS data
	if(%line $= "[RSS START]")
	{	
		// Set our flag to show we're getting RSS data
		TCPObj.rsson = true;
  lstMLRSSView.setText("");
	}
	else if(%line $= "[RSS END]") // Check to see if we're at the end of the RSS data
	{
		// Set our flag to show we're finished getting the RSS data
		TCPObj.rsson = false;
		// Disconnect from the server
		%this.disconnect();
	}
	else 
	{
		// If we're in the RSS date, add the data to the MLText control
		if (TCPObj.rsson) {
			lstMLRSSView.addtext(%line @ "\n",true); // Use the bool TRUE to cause the text to reformat after each line being added.
		}
	}
	
}

function rssgui::onWake()
{
   TCPObj.connect($rss::site);
   $rss::url = "http://www.darkhorizons-lore.com/e107_files/backend/news.xml";
   // JMQ: don't send immediately on linux, it won't work because the 
   // socket is unlikely to be connected yet.  its ok to skip it because
   // onConnected will send the request again.
   if ($platform !$= "x86UNIX")
   {
      TCPObj.send("GET " @ $rss::folder @ "rssnews.php?url=" @ $rss::url @ " HTTP/1.0\nHost: " @ $rss::site @ "\nUser-Agent: Torque/1.0 \n\r\n");
   }
}
