// First, load our default particle, emitter, and nodes so we can create new
// particle emitters.
exec("~/ParticleEditor/DefaultParticles.cs");
exec("./particleEditorLauncher.cs");
//This loads the editor into Torque on startup so that it will work 

package particleEditorSetup {
	//This function adds the Particle Editor to the Controls option screen so it can be easily rebound
	function OptionsDlg::onWake( %this ) {
	 	if($YourKeyRemap !$= "true") {
	 		$RemapName[$RemapCount]="Toggle Particle Editor";
	 		$RemapCmd[$RemapCount]="toggleParticleEditor";
	 		$RemapCount++;
	 		$YourKeyRemap = "true";
	 	}
	 	parent::onWake(%this);
	}
	
	//executes all custom datablocks
	function DefaultGame::activatePackages(%game)
	{ 
		%fileSpec = "./Saves/*.cs";
	    for ( %file = findFirstFile( %fileSpec ); %file !$= ""; %file = findNextFile( %fileSpec )	)
			exec( %file );
    	Parent::activatePackages( %game );
	}

};

activatepackage( particleEditorSetup );
//This launches all of the above.

