function AIPlayer::startObjectiveTraining(%this, %wayPointArea)
{
   $SP::TestOnce = false;
}

function AIPlayer::ObjectiveTraining1(%this, %wayPointArea)
{
       alxPlay("AudioBotSpeachSP3_2");
       $SP::AISpeak  = schedule(33848,alxStop,"AudioBotSpeachSP3_2");
   messageAll( 'MsgGame', '\c2If you look on top of that mountain, you will see a yellow icon. You will also see a yellow dot on your radar. This is an objective that you can capture. Run up to it and you will capture it.' );
   messageAll( 'MsgGame', '\c2Once you have done so, you will see the icon turn green and a smoke flare raise from the objective to show you have captured it. An objective the enemy has captured has a red flare.' );
   messageAll( 'MsgGame', '\c2The Eastern Confederation had a turret on the plataeu by the bridge on the way up. For some reason the big dogs want us to keep it around to investigate it,' );
   messageAll( 'MsgGame', "\c2so DON'T kill it, but be careful because it will fire at you." );

   $SP::ActionSchdule = schedule(1500, 0, "flashGuiElement" ,HudMap);
   $SP::Continue = schedule(3500, 0, "flashGuiElement" ,HudMap);
  
   %botArea = "BotTrainerMarkers" @ %wayPointArea;

   if (isObject(%botArea)) {
   // as long as this bot hasn't completed the waypoint path:
      if(%this.countMyMoves < %botArea.getCount()) {
         %dest = %botArea.getObject(%this.countMyMoves).position;
         %this.setAimLocation(%dest);
         %this.setMoveDestination(%dest);
         %this.countMyMoves++;
      }
   }
}

function AIPlayer::ObjectiveTraining2(%this, %wayPointArea)
{
   //messageAll( 'MsgGame', '\c2Capture the oil well by moving close to it. After you have captured it, return to me.' );
   checkObjectives(%this);
}

function AIPlayer::ObjectiveTraining3(%this, %wayPointArea)
{



   %botArea = "BotTrainerMarkers" @ %wayPointArea;

   if(isObject(%botArea)) {
      if(%this.countMyMoves < %botArea.getCount())      {
         %dest = %botArea.getObject(%this.countMyMoves).position;
         %this.setAimLocation(%dest);
         %this.setMoveDestination(%dest);
         %this.countMyMoves++;
      }
   }
}

function AIPlayer::ObjectiveTraining4(%this, %wayPointArea)
{
  $SP::TestOnce = false;
}

function AIPlayer::ObjectiveTraining5(%this, %wayPointArea, %player)
{
  alxPlay("AudioBotSpeachSP3_3");
  $SP::AISpeak  = schedule(28214,alxStop,"AudioBotSpeachSP3_3");
   messageAll( 'MsgGame', "\c2Now, I thought capturing an objective would have convinced the supervisior to give you the green light, but they think you'll destroy their precious technology." );
   messageAll( 'MsgGame', '\c2Go take some damage and repair your mav in the repair station. It is that white light emitting from the ground in the gantry.' );
   messageAll( 'MsgGame', "\c2You'll know when you are in there, your screen will get very bright for a second. Maybe once you repair your MAV they'll give you your wings." );
   messageAll( 'MsgGame', '\c2Oh yeah, to replenish your weapons use the gantries with a green light that emits from the ground. Once you fix your MAV come back over to me.' );


   checkIfWounded(%player);
   
   $SP::phaseOneDone = true;
}

//-------------------------------------------------------------------------------
function checkObjectives(%bot)
{
   if($Team[1].objectives >= 1)
      $SP::TestOnce = false;
   else
      $SP::CheckTraining = schedule( 111, 0, "checkObjectives", %bot );
}
function checkIfWounded(%player)
{ // echo("checkwounded " @ %player.getDamageLevel());
   if(%player.getDamageLevel() > 0)
      checkHealth(%player);
   else
     $SP::CheckTraining = schedule( 111, 0, "checkIfWounded", %player );
}

function checkHealth(%player)
{    // echo("check fix");
   if(%player.getDamageLevel() == 0)
      $SP::AIDone = true ;
   else
      $SP::CheckTraining = schedule( 9999, 0, "checkHealth", %player );
}
