function AIPlayer::startWeaponTraining(%this, %wayPointArea)
{     %this.setMoveSpeed(0.65);
       alxPlay("AudioBotSpeachSP2_1");
       $SP::AISpeak  = schedule(13000,alxStop,"AudioBotSpeachSP2_1");
   messageAll( 'MsgGame', "\c2Alright, I see you survived your first training mission, now let's work on your radar and targeting. Using your radar, navigate your MAV to me. Remember, friendlies are the green icons on your radar screen so locate the green dot and walk towards me." );
   $SP::TestOnce = false;
}

function AIPlayer::weaponTraining1(%this, %wayPointArea)
{
   %botArea = "BarrelTrainerMarkers" ;

   if(isObject(%botArea))
   {
       %dest = %botArea.getObject(%this.countMyMoves).position;
       %this.setAimLocation(%dest);
   }
       alxPlay("AudioBotSpeachSP2_2");
       $SP::AISpeak  = schedule(15557,alxStop,"AudioBotSpeachSP2_2");

   messageAll( 'MsgGame', '\c2Very good, now to work on the weapons and targeting systems. To select which weapons system you want to use press "1" to select the primary weapon and "2" to select the secondary system. If you look to the north-west you will find three barrels, destroy them.' );
   checkBarrels(%this);
}

function AIPlayer::weaponTraining2(%this, %wayPointArea)
{
       alxPlay("AudioBotSpeachSP2_3");
       $SP::AISpeak  = schedule(6705,alxStop,"AudioBotSpeachSP2_3");

   messageAll( 'MsgGame', '\c2Good, looks like you are able to handle your weapons systems. Now to see how you handle countermeasures and mines, follow me.' );
   $SP::phaseOneDone = true;
   %botArea = "BotTrainerMarkers" @ %wayPointArea;

   if(isObject(%botArea)) {
   // as long as this bot hasn't completed the waypoint path:
      if(%this.countMyMoves < %botArea.getCount())      {
         %dest = %botArea.getObject(%this.countMyMoves).position;
         %this.setAimLocation(%dest);
         %this.setMoveDestination(%dest);
         %this.countMyMoves++;
      }
   }
}

function AIPlayer::weaponTraining3(%this, %wayPointArea)
{
  // messageAll( 'MsgGame', '\c2I am over here.' );
   $SP::TestOnce = false;
}

function AIPlayer::weaponTraining4(%this, %wayPointArea)
{
       alxPlay("AudioBotSpeachSP2_4");
       $SP::AISpeak  = schedule(56942,alxStop,"AudioBotSpeachSP2_4");
   messageAll( 'MsgGame', '\c2For those MAVs with homing missiles you will need a target that emits heat, like a turret or another mav, in order to achieve a lock. All possible targets are indicated by a green icon. When locking onto your target the icon will turn yellow.' );
   messageAll( 'MsgGame', '\c2You need to hold your reticule on the target for several seconds.The locking sound will change to a locked sound and the icon on the target will turn red to let you know you have a lock and you are free to fire.');

   %this.throwItem(Flare);
   messageAll( 'MsgGame', '\c2In the event that someone is trying to get a lock on YOU with homing missiles you can drop a flare by pressing "F",' );
   messageAll( 'MsgGame', "\c2to throw off the missile's heat signature or you can jump into a body of water to hide from the enemies' targeting computer." );
   messageAll( 'MsgGame', "\c2You will encounter several weapons, one of which is mines. They are difficult to see so be careful tromping around. If you happen onto a mine and actually don't step on it then you can typically destroy it with your weapon." );
   messageAll( 'MsgGame', '\c2Spread around here are five mines, destroy all five to go to next and final training.' );

   %this.throwItem(MineGrenade);

   checkMines(%this);
   
  // alxPlay("AudioBotSpeachSP2_5");
   //$SP::AIDone = true;

}

function AIPlayer::weaponTraining5(%this, %wayPointArea)
{
   alxPlay("AudioBotSpeachSP2_5");
   $SP::AIDone = true;
}
//---------------------------------------------------------------
function checkBarrels(%bot)
{
   %botArea = "BarrelTrainerMarkers" ;
   if(isObject(%botArea))
   {
      if( %botArea.getCount() == 0)
         %bot.weaponTraining2(%bot.wayPointArea);
       else
          $SP::Continue = schedule( 111, 0, "checkBarrels", %bot );
   }
}
 
function checkMines(%bot)
{
   %botArea = "MinesTrainerMarkers" ;
   if(isObject(%botArea))
   {
      if( %botArea.getCount() == 0)
         %bot.weaponTraining5(%bot.wayPointArea);
      else
         $SP::Continue = schedule( 111, 0, "checkMines", %bot );
   }
}

