//-----------------------------------------------------------
//SINGLE PLAYER TRIGGERS
//--------------------------------------------------------------
//--------------------------------------------------------------
// Trigger datablock
//--------------------------------------------------------------
datablock TriggerData(WaitTrigger)
{
    tickPeriodMS = 100;

};

//--------------------------------------------------------------
// Events
//--------------------------------------------------------------
function WaitTrigger::onEnterTrigger( %this, %trigger, %obj )
{
   Parent::onEnterTrigger( %this, %trigger, %obj );
 //   %obj.dump();
// echo("entering WaitTrigger trigger");
}

function WaitTrigger::onTickTrigger( %this, %trigger )
{
   Parent::onTickTrigger( %this, %trigger );
       if(!$SP::TestOnce)
       $SP::TestOnce = false;

       
     for (%i = 0; %i < %trigger.getNumObjects(); %i++)
     {
         		%obj = %trigger.getObject(%i);
                  // %obj.dump();
                  if(%obj.AIPlayer == 1 )
                       %foundBot = %obj;
                  else
                       %foundPlayer = %obj;
     if( !$SP::TestOnce )
     if( %foundBot && %foundPlayer ){
     
      if($singlePlayerLevel == 2){
         switch$(%trigger.numOfStops)
         {
         case "1":
         %foundBot.weaponTraining1(%foundBot.wayPointArea);

         case "2":
         %foundBot.weaponTraining4(%foundBot.wayPointArea);
         }
     }
     
     if($singlePlayerLevel == 3){
         switch$(%trigger.numOfStops)
         {
         case "1":
         %foundBot.objectiveTraining1(%foundBot.wayPointArea);

         case "2":
         %foundBot.objectiveTraining3(%foundBot.wayPointArea);

         case "3":
         %foundBot.objectiveTraining5(%foundBot.wayPointArea, %foundPlayer);
         }
     }
     
     if($singlePlayerLevel == 4){
         switch$(%trigger.numOfStops)
         {
         case "1":
         %foundBot.startEscortWaypoints(%foundBot.wayPointArea);

         }
     }
     

     //echo("both player and bot in trigger");
     $SP::TestOnce = true;
     }


     }


}

function WaitTrigger::onLeaveTrigger( %this, %trigger, %obj )
{
   Parent::onLeaveTrigger( %this, %trigger, %obj );
}

