    datablock StaticShapeData(logo)
{
   // The category variable determins where the item
   // shows up in the mission editor's creator tree.
   // Path is relative to where the script is executed from.

   category = "Misc";
   shapeFile = "~/data/shapes/diggers_logo/diggers_logo.dts";
   isPlaying = 1;
};

function logo::onAdd(%this,%obj)
{
   // %obj is the object being added to the world
   // with %this datablock.  Start up a thread on the
   // new object.  Since the ambient sequence is cyclic
   // this animation will run continously.
   
   %obj.playThread(0,"logo");
   echo("onAdd");
   %obj.isPlaying = 1;

}


function StaticShapeData::create(%block)
{
   // The mission editor invokes this method when it
   // wants to create an object of the given datablock
   // type.  You only need one of these methods for any
   // class/datablock type (in this case StaticShape).
   
   %obj = new StaticShape()
   {
      dataBlock = %block;
   };
   return(%obj);
}
