datablock DebrisData(VentShapeDebris)
{
	explodeOnMaxBounce = false;
	elasticity = 0.1;
	friction = 0.6;
	lifetime = 12.0;
	lifetimeVariance = 1.5;
	minSpinSpeed = 40;
	maxSpinSpeed = 220;
	numBounces = 3;
	bounceVariance = 1.5;
	staticOnMaxBounce = true;
	gravModifier = 1.0;
	useRadiusMass = true;
	baseRadius = 1;
	velocity = 13.0;
	velocityVariance = 3.0;
};

datablock StaticShapeData(VentBaseShape)
{
   className = Destroyables;
   category = "Destroyables";
   destroyable = "1";
   shapeFile = "~/data/shapes/destroyables/misc/vent.dts";
   decalData = DestroyablesBulletHoleData;
   
   // Destroyable stats
   mass = 12.8;
   maxDamage = 140;
   destroyedLevel = 140;
   
   // Explosion
   explosion = VentExplosion;
   explosionDamage = 8.5;
   explosionRadius = 12.0;
   
   debrisShapeName = "~/data/shapes/destroyables/misc/ventdebris.dts";
   debris = VentShapeDebris;
};

