//-----------------------------------------------------------
//NEW Health TRIGGER
//--------------------------------------------------------------
//--------------------------------------------------------------
// Trigger datablock
//--------------------------------------------------------------
datablock TriggerData(AmmoTrigger)
{
    tickPeriodMS = 100;

};


//--------------------------------------------------------------
// Events
//--------------------------------------------------------------
function AmmoTrigger::onEnterTrigger( %this, %trigger, %obj )
{
   // This method is called whenever an object enters the %trigger
   // area, the object is passed as %obj.  The default onEnterTrigger
   // method (in the C++ code) invokes the ::onTrigger(%trigger,1) method on
   // every object (whatever it's type) in the same group as the trigger.
   Parent::onEnterTrigger( %this, %trigger, %obj );

   //echo("ENTERING A AmmoTrigger TRIGGER");

}




function AmmoTrigger::onLeaveTrigger( %this, %trigger, %obj )
{    echo("leaving AmmoTrigger trigger");
   // This method is called whenever an object leaves the %trigger
   // area, the object is passed as %obj.  The default onLeaveTrigger
   // method (in the C++ code) invokes the ::onTrigger(%trigger,0) method on
   // every object (whatever it's type) in the same group as the trigger.
   Parent::onLeaveTrigger( %this, %trigger, %obj );
}


function AmmoTrigger::onTickTrigger( %this, %trigger )
{

   Parent::onTickTrigger( %this, %trigger );
     // echo("onTickTrigger");
   for (%i = 0; %i < %trigger.getNumObjects(); %i++)
   {
      %obj = %trigger.getObject(%i);
      if( %obj.client.team.teamId $= %trigger.team )
      {
         %client =  %obj.client;
         %Name = %client.dbname;
         //Setup Variables
         //%Ammo is the Ammo tag (for Datablock names)
         //%Name is the Player Datablock name
         %currentNum = (%client.primaryNum) ? %client.primaryNum : (%Name).primaryNum;
         %currentName = (%Name).primaryName @ %currentNum;
         %PAmmo = (%Name).primaryName @ "Ammo" @ %currentNum;
         %currentNum = (%client.secondaryNum) ? %client.secondaryNum : (%Name).secondaryNum;
         %SAmmo = (%Name).secondaryName @ "Ammo" @ %currentNum;

         if(!(%currentName).laser) {
            %client.player.incInventory(%PAmmo, 5);
         }
         %client.player.incInventory(%SAmmo, 5);
         //Primary Weapon
         //Get Variant Number and create Weapon Datablock Name

         %client.player.MaxCounters = 36;
         %client.setCounterAmountHud(36);

         // If they have full ammo. Remove em from list.
             Parent::onLeaveTrigger( %this, %trigger, %obj );
             
         messageClient(%client, 'MsgWeaponAmmo',"",%client.player.getinventory(%PAmmo),%client.player.getinventory(%SAmmo),36);

      }
   }
}

