// phdana turrets ->
function TurretData::create(%data)
{
	// The mission editor invokes this method when it wants to create
	// an object of the given datablock type.  For the mission editor
	%obj = new Turret() {
		dataBlock = %data;
	};
   MissionCleanup.add(%obj);
	%obj.mountable = true;
	return %obj;
}

function TurretData::onAdd(%this,%obj)
{           error("adding turret");
	%obj.setEnergyLevel(%this.MaxEnergy);
   %obj.setHeat(%this.heat);
    // mount the barrel if one is specified
    if (%this.barrel !$= "")
    {
	    %obj.mountImage(%this.barrel,%this.barrelSlot);
    }
}

function TurretData::onDestroyed(%data, %obj, %prevState)
{
   %obj.schedule(2000, "delete");
}

function TurretData::damage(%this,%obj,%sourceObj,%vel,%damage, %damageType)
{
  %obj.applyDamage(%damage);
   if (%damage >= %this.maxDamage)
   {
      if (%obj.getDamageState() !$= "Destroyed")
      {
         %obj.setDamageState(Destroyed);
      }
   }
}
// <- phdana turrets

