//------------------------------------------------------------------------------
// Juggernaut Primary Weapon Systems
//------------------------------------------------------------------------------
// How to change
//   ItemData -> THIS IS WHAT GETS ADDED TO INVENTORY.
//               Just make sure image points to the ShapeBaseImage
//   ImageData -> If you cant pick up Ammo, it doesn't need to change.
//                So use the base ammo.
//                If you want to change state sounds/timeouts/emitters,
//                Do it here!! If your comming up with new states completely
//                MAKE A NEW BASE IMAGE!!
//   ProjectileData -> THIS IS WHERE DMG, RADIUS, ETC is set
//                This is also where the emitters are for FX.
//                So if you want them changed, you'll have to do that here.
//                Make sure to add them to the weaponsFX scripts.
//                That is where weapon FX variants go.
//                If you want to add an extra field from the base, this is where to do it.
//                I'm looking at you Ed on this one :p

datablock ProjectileData(JuggernautPrimaryProjectile1 : gatlingProjectile)
{
   //Damage
   directDamage        = 15; // org 10
   radiusDamage        = 0;
   damageRadius        = 0;

   //Range = Velocity * LifeTime /1000
   muzzleVelocity      = 250; // org 300
   lifetime            = 1920; // org 1.600?
   fadeDelay           = 1500;
   explosion           = gatlingExplosion;
   particleEmitter     = gatlingSmokeEmitter;
};

datablock ItemData(JuggernautPrimary1 : gatling)
{
	//
	pickUpName = "Samostrel Gatling Gun";
   displayName = "Sam Vulcan";
	image = JuggernautPrimaryImage1;
    amount = "750";
   refire = "high";
   damage = "15 ap";
   range  = "150 m effective";
};
datablock ItemData(JuggernautPrimaryAmmo1 : gatlingAmmo) {  pickUpName="Ammo"; }; // This just has to exist

datablock ShapeBaseImageData(JuggernautPrimaryImage1 : gatlingImage)
{

   item = JuggernautPrimary1;
   ammo = JuggernautPrimaryAmmo1;
   projectile = JuggernautPrimaryProjectile1;
};

datablock ProjectileData(JuggernautPrimaryProjectile2 : eacProjectile)
{
   directDamage        = 90;
   radiusDamage        = 0;
   damageRadius        = 0;
   //Range = Velocity * LifeTime /1000
   muzzleVelocity      = 200; // org 300
   lifetime            = 2880; // org 1929
   fadeDelay           = 1500;
   explosion           = eacExplosion;
   particleEmitter     = eacSmokeEmitter;
};

datablock ItemData(JuggernautPrimaryAmmo2 : eacAmmo) {  pickUpName="Ammo"; }; // This just has to exist

datablock ItemData(JuggernautPrimary2 : eac)
{
	pickUpName = "EC AutoCannon C";
   displayName = "EAC C";
	image = JuggernautPrimaryImage2;
    amount = "300";
   refire = "medium";
   damage = "90 ap";
   range  = "575 m";
};

datablock ShapeBaseImageData(JuggernautPrimaryImage2 : eacImage)
{
   item = JuggernautPrimary2;
   ammo = JuggernautPrimaryAmmo2;
   projectile = JuggernautPrimaryProjectile2;
};

datablock ProjectileData(JuggernautPrimaryProjectile3 : gatlingProjectile)
{
   directDamage        = 25;
   radiusDamage        = 1;
   damageRadius        = 0.5;
   //Range = Velocity * LifeTime /1000
   muzzleVelocity      = 175; // org 400
   lifetime            = 2285; // org 1000
   fadeDelay           = 500;
   explosion           = gatlingExplosion;
   particleEmitter     = gatlingSmokeEmitter;
};
datablock ItemData(JuggernautPrimaryAmmo3 : gatlingAmmo) {  pickUpName="Ammo"; }; // This just has to exist
datablock ItemData(JuggernautPrimary3 : gatling)
{
	pickUpName = "Samostrel (AP) Gatling Gun";
   displayName = "Sam AP Vulcan";
	image = JuggernautPrimaryImage3;
    amount = "600";
   refire = "high";
   damage = "25 ap";
   range  = "100 m effective";
};

datablock ShapeBaseImageData(JuggernautPrimaryImage3 : gatlingImage)
{

   item = JuggernautPrimary3;
   ammo = JuggernautPrimaryAmmo3;
   projectile = JuggernautPrimaryProjectile3;
};


//------------------------------------------------------------------------------
// SECONDARY WEAPONS
//------------------------------------------------------------------------------
datablock ProjectileData(JuggernautSecondaryProjectile1 : rocketProjectile)
{
   directDamage        = 40;
   radiusDamage        = 20;
   damageRadius        = 10;
   muzzleVelocity      = 150;
   lifetime            = 4275;
   fadeDelay           = 500;
};
datablock ItemData(JuggernautSecondaryAmmo1 : rocketAmmo) {  pickUpName="Ammo"; }; // This just has to exist
datablock ItemData(JuggernautSecondary1 : rocket)
{
	pickUpName = "K14 Sovna Rocket";
   displayname = "K14 SR";
	image = JuggernautSecondaryImage1;
    amount = "72";
   refire = "medium";
   damage = "60 ap";
   range  = "641 m";
};

datablock ShapeBaseImageData(JuggernautSecondaryImage1 : rocketImage)
{
   item = JuggernautSecondary1;
   ammo = JuggernautSecondaryAmmo1;
   projectile = JuggernautSecondaryProjectile1;
};

//------------------------------------------------------------------------------
// TEMP (Doesn't really fit)
datablock ProjectileData(JuggernautSecondaryProjectile2 : LARBProjectile)
{
   directDamage        = 25;
   radiusDamage        = 100;
   damageRadius        = 50;
   muzzleVelocity      = 150;
   lifetime            = 6400;
   fadeDelay           = 500;
   explosion           = LARBExplosion;
};
datablock ItemData(JuggernautSecondaryAmmo2 : LARBAmmo) {  pickUpName="Ammo"; }; // This just has to exist
datablock ItemData(JuggernautSecondary2 : LARB)
{
	pickUpName = "R51a Strela Artillery";
   displayname = "R51a";
	image = JuggernautSecondaryImage2;
    amount = "60";
   refire = "low";
   damage = "125r";
   range  = "640 m";
};

datablock ShapeBaseImageData(JuggernautSecondaryImage2 : LARBImage)
{
   item = JuggernautSecondary2;
   ammo = JuggernautSecondaryAmmo2;
   projectile = JuggernautSecondaryProjectile2;
};
//------------------------------------------------------------------------------
datablock ProjectileData(JuggernautSecondaryProjectile3 : LARBProjectile)
{
   directDamage        = 50;
   radiusDamage        = 200;
   damageRadius        = 50;
   muzzleVelocity      = 150;
   lifetime            = 6400;
   fadeDelay           = 500;
   explosion           = LARBExplosion;
};
datablock ItemData(JuggernautSecondaryAmmo3 : LARBAmmo) {  pickUpName="Ammo"; }; // This just has to exist
datablock ItemData(JuggernautSecondary3 : LARB)
{
	pickUpName = "R51b Strela Artillery";
   displayname = "R51b";
	image = JuggernautSecondaryImage3;
    amount = "40";
   refire = "low";
   damage = "200 r";
   range  = "640 m";
};

datablock ShapeBaseImageData(JuggernautSecondaryImage3 : LARBImage)
{
   item = JuggernautSecondary3;
   ammo = JuggernautSecondaryAmmo3;
   projectile = JuggernautSecondaryProjectile3;
};

