// ---------- LOGIN ------------------------------------------------------------
function IRCClient::cmdLogin(%nick,%password,%reg)
{
   $IRCClient::AutoReg = %reg;
   $IRCClient::Nick = %nick;
   $IRCClient::Pass = %password;
   //commented out php auth till we get the server situation sorted out- eg  18 Oct 03
   if ($pref::IGC)
   {
     IRCClient::loginComplete();
   }
   else
   {
      %client.authReturned = false;
      %query        = "loginname="@%nick@"\t"@
                      "userpass="@%password;
      %server       = $IRCClient::AuthServer;
      %path         = $IRCClient::AuthServerPath;
      %script       = %path @ "irclogin.php";
      %upd = new HTTPObject(CharLogin);
      %client.sendObject = %upd;      //store object details just in case
      %upd.clientid = %client;
      %upd.get(%server, %script, %query);
      Canvas.popDialog(menuMultiLogin);
      MessageBoxCancel("Login","Logging into server.","","IRCUI::cmdLoad();");
   }
}
function IRCClient::loginFailed(%header, %message)
{
  // Display Error message
  $Pref::Player::AutoLogin= 0;
  $IRCClient::loginStage = 0;
  MessageBoxOk("Login Failed:" @%header,%message,"IRCUI::cmdLoad();");
}

function IRCClient::loginComplete(%param)
{
  // Display Welcome Message
  Canvas.popDialog(menuMultiLogin);
  if ($IRCClient::AutoReg)
  {
    $pref::Player::Pass = $IRCClient::Pass;
  }
  else
  {
    $pref::Player::Pass = "";
  }
  $IRCClient::loginStage = 5;
  $pref::Player::Name = $IRCClient::Nick;
  IRCClient::tcpConnect();
  IRCUI::maximize();
  MessageBoxCancel("Connecting to server","Connecting to Lobby Server. Please wait a moment while it verifies the connection","","IRCClient::loginCancel();");
}

function IRCClient::loginCancel()
{
  IRCClient::tcpDisconnect();
  IRCUI::cmdLoad();
}
function CharLogin::onLine( %this, %line )
{
   %client = %this.clientid;
   //Check if webpage returns the word Verified on the frst line
   if(StrStr(%line, "Verified") != -1)
   {
      IRCClient::loginComplete(0);
   } else if (StrStr(%line, "[SERVER] ") != -1) {
      $IRCClient::Server = getSubStr(%line,10,strlen(%line)-8);
   } else if (StrStr(%line, "[PORT] ") != -1) {
      $IRCClient::port = ":" @ getSubStr(%line,7,strlen(%line)-6);
   } else if (StrStr(%line, "[FACTION] ") != -1) {
      $GUI::Faction = getSubStr(%line,10,strlen(%line)-9);
   } else if (StrStr(%line, "[MSERVER] ") != -1) {
      $pref::Master1 = getSubStr(%line,10,strlen(%line)-9);
   } else if (StrStr(%line, "[ERROR] ") != -1) {
      %error = getSubStr(%line,8,strlen(%line)-7);
      IRCClient::loginFailed("Cannot Login",%error);
   } else {
      IRCClient::loginFailed("Unknown Error","Unknown Error, please try again" NL %line);
   }
}

function CharLogin::onConnectionDied( %this )
{
   %client = %this.clientid;
   IRCClient::loginFailed("Connection Died","Your connection timed out. Please try again in a few minutes");
}

function CharLogin::onDNSFailed( %this )
{
   %client = %this.clientid;
   IRCClient::loginFailed("DNS Failed","I cant find the server. Please recheck your connection and try again");
}

function CharLogin::onConnectFailed( %this )
{
   %client = %this.clientid;
   IRCClient::loginFailed("Connection Failed","Connection Failed. Please try again in a few minutes");
}
