rm -rf DarkHorizons
rm -rf StagingArea
mkdir StagingArea

cd StagingArea
mkdir content
mkdir protected

cp ~/lore/dhlorebeta/*.bin .

cd content

cp -R ~/lore/dhlorebeta/* .

cp -R ~/.garagegames/torqueDemo/.

rm -rf ~/.garagegames

#protect files
mv ./profiles ../protected/profiles
mv ./fps/server/dedicated.cs ../protected/dedicated.cs
mv ./main.cs ../protected/main.cs

find ./ -name "*.dso" -exec rm -f {} \;
find ./ -name "*.ml" -exec rm -f {} \;
find ./ -name "*.exe" -exec rm -f {} \;
find ./ -name "*.dll" -exec rm -f {} \;
find ./ -name "*.bat" -exec rm -f {} \;
find ./ -name "*.lnk" -exec rm -f {} \;
find ./ -name "CVS" -exec rm -rf {} \;
find ./ -name "*.log" -exec rm -f {} \;

rm -rf ./fps/client/prefs.cs
rm -rf ./fps/client/config.cs

cp ../DHLore.bin .
cp ../../compile-dso.cs main.cs

#execute client
./DHLore.bin

#remove .cs files
find ./ -name "*.cs" -exec rm -f {} \;

cd ..

mv ./content/* .
rm -rf content

#copy dso's
cp -R ~/.garagegames/torqueDemo/* .
rm -rf ~/.garagegames

#replace protected files
mv ./protected/main.cs .
mv ./protected/profiles ./profiles
mv ./protected/dedicated.cs ./fps/server/.

rm -rf protected

cd ..

mv StagingArea DarkHorizons
tar -cvf dhl-linux-rc10.tar DarkHorizons
gzip dhl-linux-rc10.tar
mv dhl-linux-rc10.tar.gz dhl-linux-rc10.tgz

